import { createAggregatedClient } from "@smithy/smithy-client";
import { AssociateResourceTypesCommand, } from "./commands/AssociateResourceTypesCommand";
import { BatchGetAggregateResourceConfigCommand, } from "./commands/BatchGetAggregateResourceConfigCommand";
import { BatchGetResourceConfigCommand, } from "./commands/BatchGetResourceConfigCommand";
import { DeleteAggregationAuthorizationCommand, } from "./commands/DeleteAggregationAuthorizationCommand";
import { DeleteConfigRuleCommand, } from "./commands/DeleteConfigRuleCommand";
import { DeleteConfigurationAggregatorCommand, } from "./commands/DeleteConfigurationAggregatorCommand";
import { DeleteConfigurationRecorderCommand, } from "./commands/DeleteConfigurationRecorderCommand";
import { DeleteConformancePackCommand, } from "./commands/DeleteConformancePackCommand";
import { DeleteDeliveryChannelCommand, } from "./commands/DeleteDeliveryChannelCommand";
import { DeleteEvaluationResultsCommand, } from "./commands/DeleteEvaluationResultsCommand";
import { DeleteOrganizationConfigRuleCommand, } from "./commands/DeleteOrganizationConfigRuleCommand";
import { DeleteOrganizationConformancePackCommand, } from "./commands/DeleteOrganizationConformancePackCommand";
import { DeletePendingAggregationRequestCommand, } from "./commands/DeletePendingAggregationRequestCommand";
import { DeleteRemediationConfigurationCommand, } from "./commands/DeleteRemediationConfigurationCommand";
import { DeleteRemediationExceptionsCommand, } from "./commands/DeleteRemediationExceptionsCommand";
import { DeleteResourceConfigCommand, } from "./commands/DeleteResourceConfigCommand";
import { DeleteRetentionConfigurationCommand, } from "./commands/DeleteRetentionConfigurationCommand";
import { DeleteServiceLinkedConfigurationRecorderCommand, } from "./commands/DeleteServiceLinkedConfigurationRecorderCommand";
import { DeleteStoredQueryCommand, } from "./commands/DeleteStoredQueryCommand";
import { DeliverConfigSnapshotCommand, } from "./commands/DeliverConfigSnapshotCommand";
import { DescribeAggregateComplianceByConfigRulesCommand, } from "./commands/DescribeAggregateComplianceByConfigRulesCommand";
import { DescribeAggregateComplianceByConformancePacksCommand, } from "./commands/DescribeAggregateComplianceByConformancePacksCommand";
import { DescribeAggregationAuthorizationsCommand, } from "./commands/DescribeAggregationAuthorizationsCommand";
import { DescribeComplianceByConfigRuleCommand, } from "./commands/DescribeComplianceByConfigRuleCommand";
import { DescribeComplianceByResourceCommand, } from "./commands/DescribeComplianceByResourceCommand";
import { DescribeConfigRuleEvaluationStatusCommand, } from "./commands/DescribeConfigRuleEvaluationStatusCommand";
import { DescribeConfigRulesCommand, } from "./commands/DescribeConfigRulesCommand";
import { DescribeConfigurationAggregatorsCommand, } from "./commands/DescribeConfigurationAggregatorsCommand";
import { DescribeConfigurationAggregatorSourcesStatusCommand, } from "./commands/DescribeConfigurationAggregatorSourcesStatusCommand";
import { DescribeConfigurationRecordersCommand, } from "./commands/DescribeConfigurationRecordersCommand";
import { DescribeConfigurationRecorderStatusCommand, } from "./commands/DescribeConfigurationRecorderStatusCommand";
import { DescribeConformancePackComplianceCommand, } from "./commands/DescribeConformancePackComplianceCommand";
import { DescribeConformancePacksCommand, } from "./commands/DescribeConformancePacksCommand";
import { DescribeConformancePackStatusCommand, } from "./commands/DescribeConformancePackStatusCommand";
import { DescribeDeliveryChannelsCommand, } from "./commands/DescribeDeliveryChannelsCommand";
import { DescribeDeliveryChannelStatusCommand, } from "./commands/DescribeDeliveryChannelStatusCommand";
import { DescribeOrganizationConfigRulesCommand, } from "./commands/DescribeOrganizationConfigRulesCommand";
import { DescribeOrganizationConfigRuleStatusesCommand, } from "./commands/DescribeOrganizationConfigRuleStatusesCommand";
import { DescribeOrganizationConformancePacksCommand, } from "./commands/DescribeOrganizationConformancePacksCommand";
import { DescribeOrganizationConformancePackStatusesCommand, } from "./commands/DescribeOrganizationConformancePackStatusesCommand";
import { DescribePendingAggregationRequestsCommand, } from "./commands/DescribePendingAggregationRequestsCommand";
import { DescribeRemediationConfigurationsCommand, } from "./commands/DescribeRemediationConfigurationsCommand";
import { DescribeRemediationExceptionsCommand, } from "./commands/DescribeRemediationExceptionsCommand";
import { DescribeRemediationExecutionStatusCommand, } from "./commands/DescribeRemediationExecutionStatusCommand";
import { DescribeRetentionConfigurationsCommand, } from "./commands/DescribeRetentionConfigurationsCommand";
import { DisassociateResourceTypesCommand, } from "./commands/DisassociateResourceTypesCommand";
import { GetAggregateComplianceDetailsByConfigRuleCommand, } from "./commands/GetAggregateComplianceDetailsByConfigRuleCommand";
import { GetAggregateConfigRuleComplianceSummaryCommand, } from "./commands/GetAggregateConfigRuleComplianceSummaryCommand";
import { GetAggregateConformancePackComplianceSummaryCommand, } from "./commands/GetAggregateConformancePackComplianceSummaryCommand";
import { GetAggregateDiscoveredResourceCountsCommand, } from "./commands/GetAggregateDiscoveredResourceCountsCommand";
import { GetAggregateResourceConfigCommand, } from "./commands/GetAggregateResourceConfigCommand";
import { GetComplianceDetailsByConfigRuleCommand, } from "./commands/GetComplianceDetailsByConfigRuleCommand";
import { GetComplianceDetailsByResourceCommand, } from "./commands/GetComplianceDetailsByResourceCommand";
import { GetComplianceSummaryByConfigRuleCommand, } from "./commands/GetComplianceSummaryByConfigRuleCommand";
import { GetComplianceSummaryByResourceTypeCommand, } from "./commands/GetComplianceSummaryByResourceTypeCommand";
import { GetConformancePackComplianceDetailsCommand, } from "./commands/GetConformancePackComplianceDetailsCommand";
import { GetConformancePackComplianceSummaryCommand, } from "./commands/GetConformancePackComplianceSummaryCommand";
import { GetCustomRulePolicyCommand, } from "./commands/GetCustomRulePolicyCommand";
import { GetDiscoveredResourceCountsCommand, } from "./commands/GetDiscoveredResourceCountsCommand";
import { GetOrganizationConfigRuleDetailedStatusCommand, } from "./commands/GetOrganizationConfigRuleDetailedStatusCommand";
import { GetOrganizationConformancePackDetailedStatusCommand, } from "./commands/GetOrganizationConformancePackDetailedStatusCommand";
import { GetOrganizationCustomRulePolicyCommand, } from "./commands/GetOrganizationCustomRulePolicyCommand";
import { GetResourceConfigHistoryCommand, } from "./commands/GetResourceConfigHistoryCommand";
import { GetResourceEvaluationSummaryCommand, } from "./commands/GetResourceEvaluationSummaryCommand";
import { GetStoredQueryCommand, } from "./commands/GetStoredQueryCommand";
import { ListAggregateDiscoveredResourcesCommand, } from "./commands/ListAggregateDiscoveredResourcesCommand";
import { ListConfigurationRecordersCommand, } from "./commands/ListConfigurationRecordersCommand";
import { ListConformancePackComplianceScoresCommand, } from "./commands/ListConformancePackComplianceScoresCommand";
import { ListDiscoveredResourcesCommand, } from "./commands/ListDiscoveredResourcesCommand";
import { ListResourceEvaluationsCommand, } from "./commands/ListResourceEvaluationsCommand";
import { ListStoredQueriesCommand, } from "./commands/ListStoredQueriesCommand";
import { ListTagsForResourceCommand, } from "./commands/ListTagsForResourceCommand";
import { PutAggregationAuthorizationCommand, } from "./commands/PutAggregationAuthorizationCommand";
import { PutConfigRuleCommand, } from "./commands/PutConfigRuleCommand";
import { PutConfigurationAggregatorCommand, } from "./commands/PutConfigurationAggregatorCommand";
import { PutConfigurationRecorderCommand, } from "./commands/PutConfigurationRecorderCommand";
import { PutConformancePackCommand, } from "./commands/PutConformancePackCommand";
import { PutDeliveryChannelCommand, } from "./commands/PutDeliveryChannelCommand";
import { PutEvaluationsCommand, } from "./commands/PutEvaluationsCommand";
import { PutExternalEvaluationCommand, } from "./commands/PutExternalEvaluationCommand";
import { PutOrganizationConfigRuleCommand, } from "./commands/PutOrganizationConfigRuleCommand";
import { PutOrganizationConformancePackCommand, } from "./commands/PutOrganizationConformancePackCommand";
import { PutRemediationConfigurationsCommand, } from "./commands/PutRemediationConfigurationsCommand";
import { PutRemediationExceptionsCommand, } from "./commands/PutRemediationExceptionsCommand";
import { PutResourceConfigCommand, } from "./commands/PutResourceConfigCommand";
import { PutRetentionConfigurationCommand, } from "./commands/PutRetentionConfigurationCommand";
import { PutServiceLinkedConfigurationRecorderCommand, } from "./commands/PutServiceLinkedConfigurationRecorderCommand";
import { PutStoredQueryCommand, } from "./commands/PutStoredQueryCommand";
import { SelectAggregateResourceConfigCommand, } from "./commands/SelectAggregateResourceConfigCommand";
import { SelectResourceConfigCommand, } from "./commands/SelectResourceConfigCommand";
import { StartConfigRulesEvaluationCommand, } from "./commands/StartConfigRulesEvaluationCommand";
import { StartConfigurationRecorderCommand, } from "./commands/StartConfigurationRecorderCommand";
import { StartRemediationExecutionCommand, } from "./commands/StartRemediationExecutionCommand";
import { StartResourceEvaluationCommand, } from "./commands/StartResourceEvaluationCommand";
import { StopConfigurationRecorderCommand, } from "./commands/StopConfigurationRecorderCommand";
import { TagResourceCommand } from "./commands/TagResourceCommand";
import { UntagResourceCommand, } from "./commands/UntagResourceCommand";
import { ConfigServiceClient } from "./ConfigServiceClient";
const commands = {
    AssociateResourceTypesCommand,
    BatchGetAggregateResourceConfigCommand,
    BatchGetResourceConfigCommand,
    DeleteAggregationAuthorizationCommand,
    DeleteConfigRuleCommand,
    DeleteConfigurationAggregatorCommand,
    DeleteConfigurationRecorderCommand,
    DeleteConformancePackCommand,
    DeleteDeliveryChannelCommand,
    DeleteEvaluationResultsCommand,
    DeleteOrganizationConfigRuleCommand,
    DeleteOrganizationConformancePackCommand,
    DeletePendingAggregationRequestCommand,
    DeleteRemediationConfigurationCommand,
    DeleteRemediationExceptionsCommand,
    DeleteResourceConfigCommand,
    DeleteRetentionConfigurationCommand,
    DeleteServiceLinkedConfigurationRecorderCommand,
    DeleteStoredQueryCommand,
    DeliverConfigSnapshotCommand,
    DescribeAggregateComplianceByConfigRulesCommand,
    DescribeAggregateComplianceByConformancePacksCommand,
    DescribeAggregationAuthorizationsCommand,
    DescribeComplianceByConfigRuleCommand,
    DescribeComplianceByResourceCommand,
    DescribeConfigRuleEvaluationStatusCommand,
    DescribeConfigRulesCommand,
    DescribeConfigurationAggregatorsCommand,
    DescribeConfigurationAggregatorSourcesStatusCommand,
    DescribeConfigurationRecordersCommand,
    DescribeConfigurationRecorderStatusCommand,
    DescribeConformancePackComplianceCommand,
    DescribeConformancePacksCommand,
    DescribeConformancePackStatusCommand,
    DescribeDeliveryChannelsCommand,
    DescribeDeliveryChannelStatusCommand,
    DescribeOrganizationConfigRulesCommand,
    DescribeOrganizationConfigRuleStatusesCommand,
    DescribeOrganizationConformancePacksCommand,
    DescribeOrganizationConformancePackStatusesCommand,
    DescribePendingAggregationRequestsCommand,
    DescribeRemediationConfigurationsCommand,
    DescribeRemediationExceptionsCommand,
    DescribeRemediationExecutionStatusCommand,
    DescribeRetentionConfigurationsCommand,
    DisassociateResourceTypesCommand,
    GetAggregateComplianceDetailsByConfigRuleCommand,
    GetAggregateConfigRuleComplianceSummaryCommand,
    GetAggregateConformancePackComplianceSummaryCommand,
    GetAggregateDiscoveredResourceCountsCommand,
    GetAggregateResourceConfigCommand,
    GetComplianceDetailsByConfigRuleCommand,
    GetComplianceDetailsByResourceCommand,
    GetComplianceSummaryByConfigRuleCommand,
    GetComplianceSummaryByResourceTypeCommand,
    GetConformancePackComplianceDetailsCommand,
    GetConformancePackComplianceSummaryCommand,
    GetCustomRulePolicyCommand,
    GetDiscoveredResourceCountsCommand,
    GetOrganizationConfigRuleDetailedStatusCommand,
    GetOrganizationConformancePackDetailedStatusCommand,
    GetOrganizationCustomRulePolicyCommand,
    GetResourceConfigHistoryCommand,
    GetResourceEvaluationSummaryCommand,
    GetStoredQueryCommand,
    ListAggregateDiscoveredResourcesCommand,
    ListConfigurationRecordersCommand,
    ListConformancePackComplianceScoresCommand,
    ListDiscoveredResourcesCommand,
    ListResourceEvaluationsCommand,
    ListStoredQueriesCommand,
    ListTagsForResourceCommand,
    PutAggregationAuthorizationCommand,
    PutConfigRuleCommand,
    PutConfigurationAggregatorCommand,
    PutConfigurationRecorderCommand,
    PutConformancePackCommand,
    PutDeliveryChannelCommand,
    PutEvaluationsCommand,
    PutExternalEvaluationCommand,
    PutOrganizationConfigRuleCommand,
    PutOrganizationConformancePackCommand,
    PutRemediationConfigurationsCommand,
    PutRemediationExceptionsCommand,
    PutResourceConfigCommand,
    PutRetentionConfigurationCommand,
    PutServiceLinkedConfigurationRecorderCommand,
    PutStoredQueryCommand,
    SelectAggregateResourceConfigCommand,
    SelectResourceConfigCommand,
    StartConfigRulesEvaluationCommand,
    StartConfigurationRecorderCommand,
    StartRemediationExecutionCommand,
    StartResourceEvaluationCommand,
    StopConfigurationRecorderCommand,
    TagResourceCommand,
    UntagResourceCommand,
};
export class ConfigService extends ConfigServiceClient {
}
createAggregatedClient(commands, ConfigService);
