import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DeleteAggregationAuthorizationCommand, se_DeleteAggregationAuthorizationCommand, } from "../protocols/Aws_json1_1";
export { $Command };
export class DeleteAggregationAuthorizationCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("StarlingDoveService", "DeleteAggregationAuthorization", {})
    .n("ConfigServiceClient", "DeleteAggregationAuthorizationCommand")
    .f(void 0, void 0)
    .ser(se_DeleteAggregationAuthorizationCommand)
    .de(de_DeleteAggregationAuthorizationCommand)
    .build() {
}
