import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DescribeConfigurationRecordersCommand, se_DescribeConfigurationRecordersCommand, } from "../protocols/Aws_json1_1";
export { $Command };
export class DescribeConfigurationRecordersCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("StarlingDoveService", "DescribeConfigurationRecorders", {})
    .n("ConfigServiceClient", "DescribeConfigurationRecordersCommand")
    .f(void 0, void 0)
    .ser(se_DescribeConfigurationRecordersCommand)
    .de(de_DescribeConfigurationRecordersCommand)
    .build() {
}
