import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DescribePendingAggregationRequestsCommand, se_DescribePendingAggregationRequestsCommand, } from "../protocols/Aws_json1_1";
export { $Command };
export class DescribePendingAggregationRequestsCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("StarlingDoveService", "DescribePendingAggregationRequests", {})
    .n("ConfigServiceClient", "DescribePendingAggregationRequestsCommand")
    .f(void 0, void 0)
    .ser(se_DescribePendingAggregationRequestsCommand)
    .de(de_DescribePendingAggregationRequestsCommand)
    .build() {
}
