import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_GetComplianceSummaryByResourceTypeCommand, se_GetComplianceSummaryByResourceTypeCommand, } from "../protocols/Aws_json1_1";
export { $Command };
export class GetComplianceSummaryByResourceTypeCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("StarlingDoveService", "GetComplianceSummaryByResourceType", {})
    .n("ConfigServiceClient", "GetComplianceSummaryByResourceTypeCommand")
    .f(void 0, void 0)
    .ser(se_GetComplianceSummaryByResourceTypeCommand)
    .de(de_GetComplianceSummaryByResourceTypeCommand)
    .build() {
}
