import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_PutConfigurationAggregatorCommand, se_PutConfigurationAggregatorCommand } from "../protocols/Aws_json1_1";
export { $Command };
export class PutConfigurationAggregatorCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("StarlingDoveService", "PutConfigurationAggregator", {})
    .n("ConfigServiceClient", "PutConfigurationAggregatorCommand")
    .f(void 0, void 0)
    .ser(se_PutConfigurationAggregatorCommand)
    .de(de_PutConfigurationAggregatorCommand)
    .build() {
}
