import { HostHeaderInputConfig, HostHeaderResolvedConfig } from "@aws-sdk/middleware-host-header";
import { UserAgentInputConfig, UserAgentResolvedConfig } from "@aws-sdk/middleware-user-agent";
import { RegionInputConfig, RegionResolvedConfig } from "@smithy/config-resolver";
import { EndpointInputConfig, EndpointResolvedConfig } from "@smithy/middleware-endpoint";
import { RetryInputConfig, RetryResolvedConfig } from "@smithy/middleware-retry";
import { HttpHandlerUserInput as __HttpHandlerUserInput } from "@smithy/protocol-http";
import { Client as __Client, DefaultsMode as __DefaultsMode, SmithyConfiguration as __SmithyConfiguration, SmithyResolvedConfiguration as __SmithyResolvedConfiguration } from "@smithy/smithy-client";
import { AwsCredentialIdentityProvider, BodyLengthCalculator as __BodyLengthCalculator, CheckOptionalClientConfig as __CheckOptionalClientConfig, ChecksumConstructor as __ChecksumConstructor, Decoder as __Decoder, Encoder as __Encoder, HashConstructor as __HashConstructor, HttpHandlerOptions as __HttpHandlerOptions, Logger as __Logger, Provider as __Provider, Provider, StreamCollector as __StreamCollector, UrlParser as __UrlParser, UserAgent as __UserAgent } from "@smithy/types";
import { HttpAuthSchemeInputConfig, HttpAuthSchemeResolvedConfig } from "./auth/httpAuthSchemeProvider";
import { AssociateResourceTypesCommandInput, AssociateResourceTypesCommandOutput } from "./commands/AssociateResourceTypesCommand";
import { BatchGetAggregateResourceConfigCommandInput, BatchGetAggregateResourceConfigCommandOutput } from "./commands/BatchGetAggregateResourceConfigCommand";
import { BatchGetResourceConfigCommandInput, BatchGetResourceConfigCommandOutput } from "./commands/BatchGetResourceConfigCommand";
import { DeleteAggregationAuthorizationCommandInput, DeleteAggregationAuthorizationCommandOutput } from "./commands/DeleteAggregationAuthorizationCommand";
import { DeleteConfigRuleCommandInput, DeleteConfigRuleCommandOutput } from "./commands/DeleteConfigRuleCommand";
import { DeleteConfigurationAggregatorCommandInput, DeleteConfigurationAggregatorCommandOutput } from "./commands/DeleteConfigurationAggregatorCommand";
import { DeleteConfigurationRecorderCommandInput, DeleteConfigurationRecorderCommandOutput } from "./commands/DeleteConfigurationRecorderCommand";
import { DeleteConformancePackCommandInput, DeleteConformancePackCommandOutput } from "./commands/DeleteConformancePackCommand";
import { DeleteDeliveryChannelCommandInput, DeleteDeliveryChannelCommandOutput } from "./commands/DeleteDeliveryChannelCommand";
import { DeleteEvaluationResultsCommandInput, DeleteEvaluationResultsCommandOutput } from "./commands/DeleteEvaluationResultsCommand";
import { DeleteOrganizationConfigRuleCommandInput, DeleteOrganizationConfigRuleCommandOutput } from "./commands/DeleteOrganizationConfigRuleCommand";
import { DeleteOrganizationConformancePackCommandInput, DeleteOrganizationConformancePackCommandOutput } from "./commands/DeleteOrganizationConformancePackCommand";
import { DeletePendingAggregationRequestCommandInput, DeletePendingAggregationRequestCommandOutput } from "./commands/DeletePendingAggregationRequestCommand";
import { DeleteRemediationConfigurationCommandInput, DeleteRemediationConfigurationCommandOutput } from "./commands/DeleteRemediationConfigurationCommand";
import { DeleteRemediationExceptionsCommandInput, DeleteRemediationExceptionsCommandOutput } from "./commands/DeleteRemediationExceptionsCommand";
import { DeleteResourceConfigCommandInput, DeleteResourceConfigCommandOutput } from "./commands/DeleteResourceConfigCommand";
import { DeleteRetentionConfigurationCommandInput, DeleteRetentionConfigurationCommandOutput } from "./commands/DeleteRetentionConfigurationCommand";
import { DeleteServiceLinkedConfigurationRecorderCommandInput, DeleteServiceLinkedConfigurationRecorderCommandOutput } from "./commands/DeleteServiceLinkedConfigurationRecorderCommand";
import { DeleteStoredQueryCommandInput, DeleteStoredQueryCommandOutput } from "./commands/DeleteStoredQueryCommand";
import { DeliverConfigSnapshotCommandInput, DeliverConfigSnapshotCommandOutput } from "./commands/DeliverConfigSnapshotCommand";
import { DescribeAggregateComplianceByConfigRulesCommandInput, DescribeAggregateComplianceByConfigRulesCommandOutput } from "./commands/DescribeAggregateComplianceByConfigRulesCommand";
import { DescribeAggregateComplianceByConformancePacksCommandInput, DescribeAggregateComplianceByConformancePacksCommandOutput } from "./commands/DescribeAggregateComplianceByConformancePacksCommand";
import { DescribeAggregationAuthorizationsCommandInput, DescribeAggregationAuthorizationsCommandOutput } from "./commands/DescribeAggregationAuthorizationsCommand";
import { DescribeComplianceByConfigRuleCommandInput, DescribeComplianceByConfigRuleCommandOutput } from "./commands/DescribeComplianceByConfigRuleCommand";
import { DescribeComplianceByResourceCommandInput, DescribeComplianceByResourceCommandOutput } from "./commands/DescribeComplianceByResourceCommand";
import { DescribeConfigRuleEvaluationStatusCommandInput, DescribeConfigRuleEvaluationStatusCommandOutput } from "./commands/DescribeConfigRuleEvaluationStatusCommand";
import { DescribeConfigRulesCommandInput, DescribeConfigRulesCommandOutput } from "./commands/DescribeConfigRulesCommand";
import { DescribeConfigurationAggregatorsCommandInput, DescribeConfigurationAggregatorsCommandOutput } from "./commands/DescribeConfigurationAggregatorsCommand";
import { DescribeConfigurationAggregatorSourcesStatusCommandInput, DescribeConfigurationAggregatorSourcesStatusCommandOutput } from "./commands/DescribeConfigurationAggregatorSourcesStatusCommand";
import { DescribeConfigurationRecordersCommandInput, DescribeConfigurationRecordersCommandOutput } from "./commands/DescribeConfigurationRecordersCommand";
import { DescribeConfigurationRecorderStatusCommandInput, DescribeConfigurationRecorderStatusCommandOutput } from "./commands/DescribeConfigurationRecorderStatusCommand";
import { DescribeConformancePackComplianceCommandInput, DescribeConformancePackComplianceCommandOutput } from "./commands/DescribeConformancePackComplianceCommand";
import { DescribeConformancePacksCommandInput, DescribeConformancePacksCommandOutput } from "./commands/DescribeConformancePacksCommand";
import { DescribeConformancePackStatusCommandInput, DescribeConformancePackStatusCommandOutput } from "./commands/DescribeConformancePackStatusCommand";
import { DescribeDeliveryChannelsCommandInput, DescribeDeliveryChannelsCommandOutput } from "./commands/DescribeDeliveryChannelsCommand";
import { DescribeDeliveryChannelStatusCommandInput, DescribeDeliveryChannelStatusCommandOutput } from "./commands/DescribeDeliveryChannelStatusCommand";
import { DescribeOrganizationConfigRulesCommandInput, DescribeOrganizationConfigRulesCommandOutput } from "./commands/DescribeOrganizationConfigRulesCommand";
import { DescribeOrganizationConfigRuleStatusesCommandInput, DescribeOrganizationConfigRuleStatusesCommandOutput } from "./commands/DescribeOrganizationConfigRuleStatusesCommand";
import { DescribeOrganizationConformancePacksCommandInput, DescribeOrganizationConformancePacksCommandOutput } from "./commands/DescribeOrganizationConformancePacksCommand";
import { DescribeOrganizationConformancePackStatusesCommandInput, DescribeOrganizationConformancePackStatusesCommandOutput } from "./commands/DescribeOrganizationConformancePackStatusesCommand";
import { DescribePendingAggregationRequestsCommandInput, DescribePendingAggregationRequestsCommandOutput } from "./commands/DescribePendingAggregationRequestsCommand";
import { DescribeRemediationConfigurationsCommandInput, DescribeRemediationConfigurationsCommandOutput } from "./commands/DescribeRemediationConfigurationsCommand";
import { DescribeRemediationExceptionsCommandInput, DescribeRemediationExceptionsCommandOutput } from "./commands/DescribeRemediationExceptionsCommand";
import { DescribeRemediationExecutionStatusCommandInput, DescribeRemediationExecutionStatusCommandOutput } from "./commands/DescribeRemediationExecutionStatusCommand";
import { DescribeRetentionConfigurationsCommandInput, DescribeRetentionConfigurationsCommandOutput } from "./commands/DescribeRetentionConfigurationsCommand";
import { DisassociateResourceTypesCommandInput, DisassociateResourceTypesCommandOutput } from "./commands/DisassociateResourceTypesCommand";
import { GetAggregateComplianceDetailsByConfigRuleCommandInput, GetAggregateComplianceDetailsByConfigRuleCommandOutput } from "./commands/GetAggregateComplianceDetailsByConfigRuleCommand";
import { GetAggregateConfigRuleComplianceSummaryCommandInput, GetAggregateConfigRuleComplianceSummaryCommandOutput } from "./commands/GetAggregateConfigRuleComplianceSummaryCommand";
import { GetAggregateConformancePackComplianceSummaryCommandInput, GetAggregateConformancePackComplianceSummaryCommandOutput } from "./commands/GetAggregateConformancePackComplianceSummaryCommand";
import { GetAggregateDiscoveredResourceCountsCommandInput, GetAggregateDiscoveredResourceCountsCommandOutput } from "./commands/GetAggregateDiscoveredResourceCountsCommand";
import { GetAggregateResourceConfigCommandInput, GetAggregateResourceConfigCommandOutput } from "./commands/GetAggregateResourceConfigCommand";
import { GetComplianceDetailsByConfigRuleCommandInput, GetComplianceDetailsByConfigRuleCommandOutput } from "./commands/GetComplianceDetailsByConfigRuleCommand";
import { GetComplianceDetailsByResourceCommandInput, GetComplianceDetailsByResourceCommandOutput } from "./commands/GetComplianceDetailsByResourceCommand";
import { GetComplianceSummaryByConfigRuleCommandInput, GetComplianceSummaryByConfigRuleCommandOutput } from "./commands/GetComplianceSummaryByConfigRuleCommand";
import { GetComplianceSummaryByResourceTypeCommandInput, GetComplianceSummaryByResourceTypeCommandOutput } from "./commands/GetComplianceSummaryByResourceTypeCommand";
import { GetConformancePackComplianceDetailsCommandInput, GetConformancePackComplianceDetailsCommandOutput } from "./commands/GetConformancePackComplianceDetailsCommand";
import { GetConformancePackComplianceSummaryCommandInput, GetConformancePackComplianceSummaryCommandOutput } from "./commands/GetConformancePackComplianceSummaryCommand";
import { GetCustomRulePolicyCommandInput, GetCustomRulePolicyCommandOutput } from "./commands/GetCustomRulePolicyCommand";
import { GetDiscoveredResourceCountsCommandInput, GetDiscoveredResourceCountsCommandOutput } from "./commands/GetDiscoveredResourceCountsCommand";
import { GetOrganizationConfigRuleDetailedStatusCommandInput, GetOrganizationConfigRuleDetailedStatusCommandOutput } from "./commands/GetOrganizationConfigRuleDetailedStatusCommand";
import { GetOrganizationConformancePackDetailedStatusCommandInput, GetOrganizationConformancePackDetailedStatusCommandOutput } from "./commands/GetOrganizationConformancePackDetailedStatusCommand";
import { GetOrganizationCustomRulePolicyCommandInput, GetOrganizationCustomRulePolicyCommandOutput } from "./commands/GetOrganizationCustomRulePolicyCommand";
import { GetResourceConfigHistoryCommandInput, GetResourceConfigHistoryCommandOutput } from "./commands/GetResourceConfigHistoryCommand";
import { GetResourceEvaluationSummaryCommandInput, GetResourceEvaluationSummaryCommandOutput } from "./commands/GetResourceEvaluationSummaryCommand";
import { GetStoredQueryCommandInput, GetStoredQueryCommandOutput } from "./commands/GetStoredQueryCommand";
import { ListAggregateDiscoveredResourcesCommandInput, ListAggregateDiscoveredResourcesCommandOutput } from "./commands/ListAggregateDiscoveredResourcesCommand";
import { ListConfigurationRecordersCommandInput, ListConfigurationRecordersCommandOutput } from "./commands/ListConfigurationRecordersCommand";
import { ListConformancePackComplianceScoresCommandInput, ListConformancePackComplianceScoresCommandOutput } from "./commands/ListConformancePackComplianceScoresCommand";
import { ListDiscoveredResourcesCommandInput, ListDiscoveredResourcesCommandOutput } from "./commands/ListDiscoveredResourcesCommand";
import { ListResourceEvaluationsCommandInput, ListResourceEvaluationsCommandOutput } from "./commands/ListResourceEvaluationsCommand";
import { ListStoredQueriesCommandInput, ListStoredQueriesCommandOutput } from "./commands/ListStoredQueriesCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "./commands/ListTagsForResourceCommand";
import { PutAggregationAuthorizationCommandInput, PutAggregationAuthorizationCommandOutput } from "./commands/PutAggregationAuthorizationCommand";
import { PutConfigRuleCommandInput, PutConfigRuleCommandOutput } from "./commands/PutConfigRuleCommand";
import { PutConfigurationAggregatorCommandInput, PutConfigurationAggregatorCommandOutput } from "./commands/PutConfigurationAggregatorCommand";
import { PutConfigurationRecorderCommandInput, PutConfigurationRecorderCommandOutput } from "./commands/PutConfigurationRecorderCommand";
import { PutConformancePackCommandInput, PutConformancePackCommandOutput } from "./commands/PutConformancePackCommand";
import { PutDeliveryChannelCommandInput, PutDeliveryChannelCommandOutput } from "./commands/PutDeliveryChannelCommand";
import { PutEvaluationsCommandInput, PutEvaluationsCommandOutput } from "./commands/PutEvaluationsCommand";
import { PutExternalEvaluationCommandInput, PutExternalEvaluationCommandOutput } from "./commands/PutExternalEvaluationCommand";
import { PutOrganizationConfigRuleCommandInput, PutOrganizationConfigRuleCommandOutput } from "./commands/PutOrganizationConfigRuleCommand";
import { PutOrganizationConformancePackCommandInput, PutOrganizationConformancePackCommandOutput } from "./commands/PutOrganizationConformancePackCommand";
import { PutRemediationConfigurationsCommandInput, PutRemediationConfigurationsCommandOutput } from "./commands/PutRemediationConfigurationsCommand";
import { PutRemediationExceptionsCommandInput, PutRemediationExceptionsCommandOutput } from "./commands/PutRemediationExceptionsCommand";
import { PutResourceConfigCommandInput, PutResourceConfigCommandOutput } from "./commands/PutResourceConfigCommand";
import { PutRetentionConfigurationCommandInput, PutRetentionConfigurationCommandOutput } from "./commands/PutRetentionConfigurationCommand";
import { PutServiceLinkedConfigurationRecorderCommandInput, PutServiceLinkedConfigurationRecorderCommandOutput } from "./commands/PutServiceLinkedConfigurationRecorderCommand";
import { PutStoredQueryCommandInput, PutStoredQueryCommandOutput } from "./commands/PutStoredQueryCommand";
import { SelectAggregateResourceConfigCommandInput, SelectAggregateResourceConfigCommandOutput } from "./commands/SelectAggregateResourceConfigCommand";
import { SelectResourceConfigCommandInput, SelectResourceConfigCommandOutput } from "./commands/SelectResourceConfigCommand";
import { StartConfigRulesEvaluationCommandInput, StartConfigRulesEvaluationCommandOutput } from "./commands/StartConfigRulesEvaluationCommand";
import { StartConfigurationRecorderCommandInput, StartConfigurationRecorderCommandOutput } from "./commands/StartConfigurationRecorderCommand";
import { StartRemediationExecutionCommandInput, StartRemediationExecutionCommandOutput } from "./commands/StartRemediationExecutionCommand";
import { StartResourceEvaluationCommandInput, StartResourceEvaluationCommandOutput } from "./commands/StartResourceEvaluationCommand";
import { StopConfigurationRecorderCommandInput, StopConfigurationRecorderCommandOutput } from "./commands/StopConfigurationRecorderCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "./commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "./commands/UntagResourceCommand";
import { ClientInputEndpointParameters, ClientResolvedEndpointParameters, EndpointParameters } from "./endpoint/EndpointParameters";
import { RuntimeExtension, RuntimeExtensionsConfig } from "./runtimeExtensions";
export { __Client };
/**
 * @public
 */
export type ServiceInputTypes = AssociateResourceTypesCommandInput | BatchGetAggregateResourceConfigCommandInput | BatchGetResourceConfigCommandInput | DeleteAggregationAuthorizationCommandInput | DeleteConfigRuleCommandInput | DeleteConfigurationAggregatorCommandInput | DeleteConfigurationRecorderCommandInput | DeleteConformancePackCommandInput | DeleteDeliveryChannelCommandInput | DeleteEvaluationResultsCommandInput | DeleteOrganizationConfigRuleCommandInput | DeleteOrganizationConformancePackCommandInput | DeletePendingAggregationRequestCommandInput | DeleteRemediationConfigurationCommandInput | DeleteRemediationExceptionsCommandInput | DeleteResourceConfigCommandInput | DeleteRetentionConfigurationCommandInput | DeleteServiceLinkedConfigurationRecorderCommandInput | DeleteStoredQueryCommandInput | DeliverConfigSnapshotCommandInput | DescribeAggregateComplianceByConfigRulesCommandInput | DescribeAggregateComplianceByConformancePacksCommandInput | DescribeAggregationAuthorizationsCommandInput | DescribeComplianceByConfigRuleCommandInput | DescribeComplianceByResourceCommandInput | DescribeConfigRuleEvaluationStatusCommandInput | DescribeConfigRulesCommandInput | DescribeConfigurationAggregatorSourcesStatusCommandInput | DescribeConfigurationAggregatorsCommandInput | DescribeConfigurationRecorderStatusCommandInput | DescribeConfigurationRecordersCommandInput | DescribeConformancePackComplianceCommandInput | DescribeConformancePackStatusCommandInput | DescribeConformancePacksCommandInput | DescribeDeliveryChannelStatusCommandInput | DescribeDeliveryChannelsCommandInput | DescribeOrganizationConfigRuleStatusesCommandInput | DescribeOrganizationConfigRulesCommandInput | DescribeOrganizationConformancePackStatusesCommandInput | DescribeOrganizationConformancePacksCommandInput | DescribePendingAggregationRequestsCommandInput | DescribeRemediationConfigurationsCommandInput | DescribeRemediationExceptionsCommandInput | DescribeRemediationExecutionStatusCommandInput | DescribeRetentionConfigurationsCommandInput | DisassociateResourceTypesCommandInput | GetAggregateComplianceDetailsByConfigRuleCommandInput | GetAggregateConfigRuleComplianceSummaryCommandInput | GetAggregateConformancePackComplianceSummaryCommandInput | GetAggregateDiscoveredResourceCountsCommandInput | GetAggregateResourceConfigCommandInput | GetComplianceDetailsByConfigRuleCommandInput | GetComplianceDetailsByResourceCommandInput | GetComplianceSummaryByConfigRuleCommandInput | GetComplianceSummaryByResourceTypeCommandInput | GetConformancePackComplianceDetailsCommandInput | GetConformancePackComplianceSummaryCommandInput | GetCustomRulePolicyCommandInput | GetDiscoveredResourceCountsCommandInput | GetOrganizationConfigRuleDetailedStatusCommandInput | GetOrganizationConformancePackDetailedStatusCommandInput | GetOrganizationCustomRulePolicyCommandInput | GetResourceConfigHistoryCommandInput | GetResourceEvaluationSummaryCommandInput | GetStoredQueryCommandInput | ListAggregateDiscoveredResourcesCommandInput | ListConfigurationRecordersCommandInput | ListConformancePackComplianceScoresCommandInput | ListDiscoveredResourcesCommandInput | ListResourceEvaluationsCommandInput | ListStoredQueriesCommandInput | ListTagsForResourceCommandInput | PutAggregationAuthorizationCommandInput | PutConfigRuleCommandInput | PutConfigurationAggregatorCommandInput | PutConfigurationRecorderCommandInput | PutConformancePackCommandInput | PutDeliveryChannelCommandInput | PutEvaluationsCommandInput | PutExternalEvaluationCommandInput | PutOrganizationConfigRuleCommandInput | PutOrganizationConformancePackCommandInput | PutRemediationConfigurationsCommandInput | PutRemediationExceptionsCommandInput | PutResourceConfigCommandInput | PutRetentionConfigurationCommandInput | PutServiceLinkedConfigurationRecorderCommandInput | PutStoredQueryCommandInput | SelectAggregateResourceConfigCommandInput | SelectResourceConfigCommandInput | StartConfigRulesEvaluationCommandInput | StartConfigurationRecorderCommandInput | StartRemediationExecutionCommandInput | StartResourceEvaluationCommandInput | StopConfigurationRecorderCommandInput | TagResourceCommandInput | UntagResourceCommandInput;
/**
 * @public
 */
export type ServiceOutputTypes = AssociateResourceTypesCommandOutput | BatchGetAggregateResourceConfigCommandOutput | BatchGetResourceConfigCommandOutput | DeleteAggregationAuthorizationCommandOutput | DeleteConfigRuleCommandOutput | DeleteConfigurationAggregatorCommandOutput | DeleteConfigurationRecorderCommandOutput | DeleteConformancePackCommandOutput | DeleteDeliveryChannelCommandOutput | DeleteEvaluationResultsCommandOutput | DeleteOrganizationConfigRuleCommandOutput | DeleteOrganizationConformancePackCommandOutput | DeletePendingAggregationRequestCommandOutput | DeleteRemediationConfigurationCommandOutput | DeleteRemediationExceptionsCommandOutput | DeleteResourceConfigCommandOutput | DeleteRetentionConfigurationCommandOutput | DeleteServiceLinkedConfigurationRecorderCommandOutput | DeleteStoredQueryCommandOutput | DeliverConfigSnapshotCommandOutput | DescribeAggregateComplianceByConfigRulesCommandOutput | DescribeAggregateComplianceByConformancePacksCommandOutput | DescribeAggregationAuthorizationsCommandOutput | DescribeComplianceByConfigRuleCommandOutput | DescribeComplianceByResourceCommandOutput | DescribeConfigRuleEvaluationStatusCommandOutput | DescribeConfigRulesCommandOutput | DescribeConfigurationAggregatorSourcesStatusCommandOutput | DescribeConfigurationAggregatorsCommandOutput | DescribeConfigurationRecorderStatusCommandOutput | DescribeConfigurationRecordersCommandOutput | DescribeConformancePackComplianceCommandOutput | DescribeConformancePackStatusCommandOutput | DescribeConformancePacksCommandOutput | DescribeDeliveryChannelStatusCommandOutput | DescribeDeliveryChannelsCommandOutput | DescribeOrganizationConfigRuleStatusesCommandOutput | DescribeOrganizationConfigRulesCommandOutput | DescribeOrganizationConformancePackStatusesCommandOutput | DescribeOrganizationConformancePacksCommandOutput | DescribePendingAggregationRequestsCommandOutput | DescribeRemediationConfigurationsCommandOutput | DescribeRemediationExceptionsCommandOutput | DescribeRemediationExecutionStatusCommandOutput | DescribeRetentionConfigurationsCommandOutput | DisassociateResourceTypesCommandOutput | GetAggregateComplianceDetailsByConfigRuleCommandOutput | GetAggregateConfigRuleComplianceSummaryCommandOutput | GetAggregateConformancePackComplianceSummaryCommandOutput | GetAggregateDiscoveredResourceCountsCommandOutput | GetAggregateResourceConfigCommandOutput | GetComplianceDetailsByConfigRuleCommandOutput | GetComplianceDetailsByResourceCommandOutput | GetComplianceSummaryByConfigRuleCommandOutput | GetComplianceSummaryByResourceTypeCommandOutput | GetConformancePackComplianceDetailsCommandOutput | GetConformancePackComplianceSummaryCommandOutput | GetCustomRulePolicyCommandOutput | GetDiscoveredResourceCountsCommandOutput | GetOrganizationConfigRuleDetailedStatusCommandOutput | GetOrganizationConformancePackDetailedStatusCommandOutput | GetOrganizationCustomRulePolicyCommandOutput | GetResourceConfigHistoryCommandOutput | GetResourceEvaluationSummaryCommandOutput | GetStoredQueryCommandOutput | ListAggregateDiscoveredResourcesCommandOutput | ListConfigurationRecordersCommandOutput | ListConformancePackComplianceScoresCommandOutput | ListDiscoveredResourcesCommandOutput | ListResourceEvaluationsCommandOutput | ListStoredQueriesCommandOutput | ListTagsForResourceCommandOutput | PutAggregationAuthorizationCommandOutput | PutConfigRuleCommandOutput | PutConfigurationAggregatorCommandOutput | PutConfigurationRecorderCommandOutput | PutConformancePackCommandOutput | PutDeliveryChannelCommandOutput | PutEvaluationsCommandOutput | PutExternalEvaluationCommandOutput | PutOrganizationConfigRuleCommandOutput | PutOrganizationConformancePackCommandOutput | PutRemediationConfigurationsCommandOutput | PutRemediationExceptionsCommandOutput | PutResourceConfigCommandOutput | PutRetentionConfigurationCommandOutput | PutServiceLinkedConfigurationRecorderCommandOutput | PutStoredQueryCommandOutput | SelectAggregateResourceConfigCommandOutput | SelectResourceConfigCommandOutput | StartConfigRulesEvaluationCommandOutput | StartConfigurationRecorderCommandOutput | StartRemediationExecutionCommandOutput | StartResourceEvaluationCommandOutput | StopConfigurationRecorderCommandOutput | TagResourceCommandOutput | UntagResourceCommandOutput;
/**
 * @public
 */
export interface ClientDefaults extends Partial<__SmithyConfiguration<__HttpHandlerOptions>> {
    /**
     * The HTTP handler to use or its constructor options. Fetch in browser and Https in Nodejs.
     */
    requestHandler?: __HttpHandlerUserInput;
    /**
     * A constructor for a class implementing the {@link @smithy/types#ChecksumConstructor} interface
     * that computes the SHA-256 HMAC or checksum of a string or binary buffer.
     * @internal
     */
    sha256?: __ChecksumConstructor | __HashConstructor;
    /**
     * The function that will be used to convert strings into HTTP endpoints.
     * @internal
     */
    urlParser?: __UrlParser;
    /**
     * A function that can calculate the length of a request body.
     * @internal
     */
    bodyLengthChecker?: __BodyLengthCalculator;
    /**
     * A function that converts a stream into an array of bytes.
     * @internal
     */
    streamCollector?: __StreamCollector;
    /**
     * The function that will be used to convert a base64-encoded string to a byte array.
     * @internal
     */
    base64Decoder?: __Decoder;
    /**
     * The function that will be used to convert binary data to a base64-encoded string.
     * @internal
     */
    base64Encoder?: __Encoder;
    /**
     * The function that will be used to convert a UTF8-encoded string to a byte array.
     * @internal
     */
    utf8Decoder?: __Decoder;
    /**
     * The function that will be used to convert binary data to a UTF-8 encoded string.
     * @internal
     */
    utf8Encoder?: __Encoder;
    /**
     * The runtime environment.
     * @internal
     */
    runtime?: string;
    /**
     * Disable dynamically changing the endpoint of the client based on the hostPrefix
     * trait of an operation.
     */
    disableHostPrefix?: boolean;
    /**
     * Unique service identifier.
     * @internal
     */
    serviceId?: string;
    /**
     * Enables IPv6/IPv4 dualstack endpoint.
     */
    useDualstackEndpoint?: boolean | __Provider<boolean>;
    /**
     * Enables FIPS compatible endpoints.
     */
    useFipsEndpoint?: boolean | __Provider<boolean>;
    /**
     * The AWS region to which this client will send requests
     */
    region?: string | __Provider<string>;
    /**
     * Setting a client profile is similar to setting a value for the
     * AWS_PROFILE environment variable. Setting a profile on a client
     * in code only affects the single client instance, unlike AWS_PROFILE.
     *
     * When set, and only for environments where an AWS configuration
     * file exists, fields configurable by this file will be retrieved
     * from the specified profile within that file.
     * Conflicting code configuration and environment variables will
     * still have higher priority.
     *
     * For client credential resolution that involves checking the AWS
     * configuration file, the client's profile (this value) will be
     * used unless a different profile is set in the credential
     * provider options.
     *
     */
    profile?: string;
    /**
     * The provider populating default tracking information to be sent with `user-agent`, `x-amz-user-agent` header
     * @internal
     */
    defaultUserAgentProvider?: Provider<__UserAgent>;
    /**
     * Default credentials provider; Not available in browser runtime.
     * @deprecated
     * @internal
     */
    credentialDefaultProvider?: (input: any) => AwsCredentialIdentityProvider;
    /**
     * Value for how many times a request will be made at most in case of retry.
     */
    maxAttempts?: number | __Provider<number>;
    /**
     * Specifies which retry algorithm to use.
     * @see https://docs.aws.amazon.com/AWSJavaScriptSDK/v3/latest/Package/-smithy-util-retry/Enum/RETRY_MODES/
     *
     */
    retryMode?: string | __Provider<string>;
    /**
     * Optional logger for logging debug/info/warn/error.
     */
    logger?: __Logger;
    /**
     * Optional extensions
     */
    extensions?: RuntimeExtension[];
    /**
     * The {@link @smithy/smithy-client#DefaultsMode} that will be used to determine how certain default configuration options are resolved in the SDK.
     */
    defaultsMode?: __DefaultsMode | __Provider<__DefaultsMode>;
}
/**
 * @public
 */
export type ConfigServiceClientConfigType = Partial<__SmithyConfiguration<__HttpHandlerOptions>> & ClientDefaults & UserAgentInputConfig & RetryInputConfig & RegionInputConfig & HostHeaderInputConfig & EndpointInputConfig<EndpointParameters> & HttpAuthSchemeInputConfig & ClientInputEndpointParameters;
/**
 * @public
 *
 *  The configuration interface of ConfigServiceClient class constructor that set the region, credentials and other options.
 */
export interface ConfigServiceClientConfig extends ConfigServiceClientConfigType {
}
/**
 * @public
 */
export type ConfigServiceClientResolvedConfigType = __SmithyResolvedConfiguration<__HttpHandlerOptions> & Required<ClientDefaults> & RuntimeExtensionsConfig & UserAgentResolvedConfig & RetryResolvedConfig & RegionResolvedConfig & HostHeaderResolvedConfig & EndpointResolvedConfig<EndpointParameters> & HttpAuthSchemeResolvedConfig & ClientResolvedEndpointParameters;
/**
 * @public
 *
 *  The resolved configuration interface of ConfigServiceClient class. This is resolved and normalized from the {@link ConfigServiceClientConfig | constructor configuration interface}.
 */
export interface ConfigServiceClientResolvedConfig extends ConfigServiceClientResolvedConfigType {
}
/**
 * <fullname>Config</fullname>
 *          <p>Config provides a way to keep track of the configurations
 * 			of all the Amazon Web Services resources associated with your Amazon Web Services account. You can
 * 			use Config to get the current and historical configurations of
 * 			each Amazon Web Services resource and also to get information about the relationship
 * 			between the resources. An Amazon Web Services resource can be an Amazon Compute
 * 			Cloud (Amazon EC2) instance, an Elastic Block Store (EBS) volume, an
 * 			elastic network Interface (ENI), or a security group. For a complete
 * 			list of resources currently supported by Config, see <a href="https://docs.aws.amazon.com/config/latest/developerguide/resource-config-reference.html#supported-resources">Supported Amazon Web Services resources</a>.</p>
 *          <p>You can access and manage Config through the Amazon Web Services Management
 * 			Console, the Amazon Web Services Command Line Interface (Amazon Web Services CLI), the Config
 * 			API, or the Amazon Web Services SDKs for Config. This reference guide contains
 * 			documentation for the Config API and the Amazon Web Services CLI commands that
 * 			you can use to manage Config. The Config API uses the
 * 			Signature Version 4 protocol for signing requests. For more
 * 			information about how to sign a request with this protocol, see
 * 				<a href="https://docs.aws.amazon.com/general/latest/gr/signature-version-4.html">Signature
 * 				Version 4 Signing Process</a>. For detailed information
 * 			about Config features and their associated actions or commands,
 * 			as well as how to work with Amazon Web Services Management Console, see <a href="https://docs.aws.amazon.com/config/latest/developerguide/WhatIsConfig.html">What Is Config</a> in the <i>Config Developer
 * 				Guide</i>.</p>
 * @public
 */
export declare class ConfigServiceClient extends __Client<__HttpHandlerOptions, ServiceInputTypes, ServiceOutputTypes, ConfigServiceClientResolvedConfig> {
    /**
     * The resolved configuration of ConfigServiceClient class. This is resolved and normalized from the {@link ConfigServiceClientConfig | constructor configuration interface}.
     */
    readonly config: ConfigServiceClientResolvedConfig;
    constructor(...[configuration]: __CheckOptionalClientConfig<ConfigServiceClientConfig>);
    /**
     * Destroy underlying resources, like sockets. It's usually not necessary to do this.
     * However in Node.js, it's best to explicitly shut down the client's agent when it is no longer needed.
     * Otherwise, sockets might stay open for quite a long time before the server terminates them.
     */
    destroy(): void;
}
