import {
  AwsSdkSigV4AuthInputConfig,
  AwsSdkSigV4AuthResolvedConfig,
  AwsSdkSigV4PreviouslyResolved,
} from "@aws-sdk/core";
import {
  HandlerExecutionContext,
  HttpAuthScheme,
  HttpAuthSchemeParameters,
  HttpAuthSchemeParametersProvider,
  HttpAuthSchemeProvider,
  Provider,
} from "@smithy/types";
import { ConfigServiceClientResolvedConfig } from "../ConfigServiceClient";
export interface ConfigServiceHttpAuthSchemeParameters
  extends HttpAuthSchemeParameters {
  region?: string;
}
export interface ConfigServiceHttpAuthSchemeParametersProvider
  extends HttpAuthSchemeParametersProvider<
    ConfigServiceClientResolvedConfig,
    HandlerExecutionContext,
    ConfigServiceHttpAuthSchemeParameters,
    object
  > {}
export declare const defaultConfigServiceHttpAuthSchemeParametersProvider: (
  config: ConfigServiceClientResolvedConfig,
  context: HandlerExecutionContext,
  input: object
) => Promise<ConfigServiceHttpAuthSchemeParameters>;
export interface ConfigServiceHttpAuthSchemeProvider
  extends HttpAuthSchemeProvider<ConfigServiceHttpAuthSchemeParameters> {}
export declare const defaultConfigServiceHttpAuthSchemeProvider: ConfigServiceHttpAuthSchemeProvider;
export interface HttpAuthSchemeInputConfig extends AwsSdkSigV4AuthInputConfig {
  authSchemePreference?: string[] | Provider<string[]>;
  httpAuthSchemes?: HttpAuthScheme[];
  httpAuthSchemeProvider?: ConfigServiceHttpAuthSchemeProvider;
}
export interface HttpAuthSchemeResolvedConfig
  extends AwsSdkSigV4AuthResolvedConfig {
  readonly authSchemePreference: Provider<string[]>;
  readonly httpAuthSchemes: HttpAuthScheme[];
  readonly httpAuthSchemeProvider: ConfigServiceHttpAuthSchemeProvider;
}
export declare const resolveHttpAuthSchemeConfig: <T>(
  config: T & HttpAuthSchemeInputConfig & AwsSdkSigV4PreviouslyResolved
) => T & HttpAuthSchemeResolvedConfig;
