import { ExceptionOptionType as __ExceptionOptionType } from "@smithy/smithy-client";
import { ConfigServiceServiceException as __BaseException } from "./ConfigServiceServiceException";
import {
  AccountAggregationSource,
  AggregationAuthorization,
  AggregatorFilters,
  ConfigRule,
  ConfigurationAggregator,
  ConfigurationRecorder,
  ConfigurationRecorderFilter,
  ConfigurationRecorderSummary,
  ConformancePackComplianceScore,
  ConformancePackComplianceScoresFilters,
  ConformancePackInputParameter,
  DeliveryChannel,
  Evaluation,
  EvaluationContext,
  EvaluationMode,
  ExternalEvaluation,
  FailedRemediationBatch,
  FailedRemediationExceptionBatch,
  FieldInfo,
  MaximumExecutionFrequency,
  OrganizationAggregationSource,
  OrganizationConfigRuleTriggerTypeNoSN,
  OrganizationCustomRuleMetadata,
  OrganizationManagedRuleMetadata,
  RemediationConfiguration,
  RemediationExceptionResourceKey,
  ResourceDetails,
  ResourceKey,
  ResourceType,
  RetentionConfiguration,
  StoredQuery,
  TemplateSSMDocumentDetails,
} from "./models_0";
export interface ListConfigurationRecordersRequest {
  Filters?: ConfigurationRecorderFilter[] | undefined;
  MaxResults?: number | undefined;
  NextToken?: string | undefined;
}
export interface ListConfigurationRecordersResponse {
  ConfigurationRecorderSummaries: ConfigurationRecorderSummary[] | undefined;
  NextToken?: string | undefined;
}
export declare const SortBy: {
  readonly SCORE: "SCORE";
};
export type SortBy = (typeof SortBy)[keyof typeof SortBy];
export declare const SortOrder: {
  readonly ASCENDING: "ASCENDING";
  readonly DESCENDING: "DESCENDING";
};
export type SortOrder = (typeof SortOrder)[keyof typeof SortOrder];
export interface ListConformancePackComplianceScoresRequest {
  Filters?: ConformancePackComplianceScoresFilters | undefined;
  SortOrder?: SortOrder | undefined;
  SortBy?: SortBy | undefined;
  Limit?: number | undefined;
  NextToken?: string | undefined;
}
export interface ListConformancePackComplianceScoresResponse {
  NextToken?: string | undefined;
  ConformancePackComplianceScores: ConformancePackComplianceScore[] | undefined;
}
export interface ListDiscoveredResourcesRequest {
  resourceType: ResourceType | undefined;
  resourceIds?: string[] | undefined;
  resourceName?: string | undefined;
  limit?: number | undefined;
  includeDeletedResources?: boolean | undefined;
  nextToken?: string | undefined;
}
export interface ResourceIdentifier {
  resourceType?: ResourceType | undefined;
  resourceId?: string | undefined;
  resourceName?: string | undefined;
  resourceDeletionTime?: Date | undefined;
}
export interface ListDiscoveredResourcesResponse {
  resourceIdentifiers?: ResourceIdentifier[] | undefined;
  nextToken?: string | undefined;
}
export interface TimeWindow {
  StartTime?: Date | undefined;
  EndTime?: Date | undefined;
}
export interface ResourceEvaluationFilters {
  EvaluationMode?: EvaluationMode | undefined;
  TimeWindow?: TimeWindow | undefined;
  EvaluationContextIdentifier?: string | undefined;
}
export interface ListResourceEvaluationsRequest {
  Filters?: ResourceEvaluationFilters | undefined;
  Limit?: number | undefined;
  NextToken?: string | undefined;
}
export interface ResourceEvaluation {
  ResourceEvaluationId?: string | undefined;
  EvaluationMode?: EvaluationMode | undefined;
  EvaluationStartTimestamp?: Date | undefined;
}
export interface ListResourceEvaluationsResponse {
  ResourceEvaluations?: ResourceEvaluation[] | undefined;
  NextToken?: string | undefined;
}
export interface ListStoredQueriesRequest {
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
}
export interface StoredQueryMetadata {
  QueryId: string | undefined;
  QueryArn: string | undefined;
  QueryName: string | undefined;
  Description?: string | undefined;
}
export interface ListStoredQueriesResponse {
  StoredQueryMetadata?: StoredQueryMetadata[] | undefined;
  NextToken?: string | undefined;
}
export interface ListTagsForResourceRequest {
  ResourceArn: string | undefined;
  Limit?: number | undefined;
  NextToken?: string | undefined;
}
export interface Tag {
  Key?: string | undefined;
  Value?: string | undefined;
}
export interface ListTagsForResourceResponse {
  Tags?: Tag[] | undefined;
  NextToken?: string | undefined;
}
export declare class MaxActiveResourcesExceededException extends __BaseException {
  readonly name: "MaxActiveResourcesExceededException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<
      MaxActiveResourcesExceededException,
      __BaseException
    >
  );
}
export declare class MaxNumberOfConfigRulesExceededException extends __BaseException {
  readonly name: "MaxNumberOfConfigRulesExceededException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<
      MaxNumberOfConfigRulesExceededException,
      __BaseException
    >
  );
}
export declare class MaxNumberOfConfigurationRecordersExceededException extends __BaseException {
  readonly name: "MaxNumberOfConfigurationRecordersExceededException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<
      MaxNumberOfConfigurationRecordersExceededException,
      __BaseException
    >
  );
}
export declare class MaxNumberOfConformancePacksExceededException extends __BaseException {
  readonly name: "MaxNumberOfConformancePacksExceededException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<
      MaxNumberOfConformancePacksExceededException,
      __BaseException
    >
  );
}
export declare class MaxNumberOfDeliveryChannelsExceededException extends __BaseException {
  readonly name: "MaxNumberOfDeliveryChannelsExceededException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<
      MaxNumberOfDeliveryChannelsExceededException,
      __BaseException
    >
  );
}
export declare class MaxNumberOfOrganizationConfigRulesExceededException extends __BaseException {
  readonly name: "MaxNumberOfOrganizationConfigRulesExceededException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<
      MaxNumberOfOrganizationConfigRulesExceededException,
      __BaseException
    >
  );
}
export declare class MaxNumberOfOrganizationConformancePacksExceededException extends __BaseException {
  readonly name: "MaxNumberOfOrganizationConformancePacksExceededException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<
      MaxNumberOfOrganizationConformancePacksExceededException,
      __BaseException
    >
  );
}
export declare class MaxNumberOfRetentionConfigurationsExceededException extends __BaseException {
  readonly name: "MaxNumberOfRetentionConfigurationsExceededException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<
      MaxNumberOfRetentionConfigurationsExceededException,
      __BaseException
    >
  );
}
export declare class NoAvailableDeliveryChannelException extends __BaseException {
  readonly name: "NoAvailableDeliveryChannelException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<
      NoAvailableDeliveryChannelException,
      __BaseException
    >
  );
}
export declare class NoAvailableOrganizationException extends __BaseException {
  readonly name: "NoAvailableOrganizationException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<
      NoAvailableOrganizationException,
      __BaseException
    >
  );
}
export declare class NoSuchBucketException extends __BaseException {
  readonly name: "NoSuchBucketException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<NoSuchBucketException, __BaseException>
  );
}
export declare class OrganizationAllFeaturesNotEnabledException extends __BaseException {
  readonly name: "OrganizationAllFeaturesNotEnabledException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<
      OrganizationAllFeaturesNotEnabledException,
      __BaseException
    >
  );
}
export declare class OrganizationConformancePackTemplateValidationException extends __BaseException {
  readonly name: "OrganizationConformancePackTemplateValidationException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<
      OrganizationConformancePackTemplateValidationException,
      __BaseException
    >
  );
}
export interface OrganizationCustomPolicyRuleMetadata {
  Description?: string | undefined;
  OrganizationConfigRuleTriggerTypes?:
    | OrganizationConfigRuleTriggerTypeNoSN[]
    | undefined;
  InputParameters?: string | undefined;
  MaximumExecutionFrequency?: MaximumExecutionFrequency | undefined;
  ResourceTypesScope?: string[] | undefined;
  ResourceIdScope?: string | undefined;
  TagKeyScope?: string | undefined;
  TagValueScope?: string | undefined;
  PolicyRuntime: string | undefined;
  PolicyText: string | undefined;
  DebugLogDeliveryAccounts?: string[] | undefined;
}
export interface PutAggregationAuthorizationRequest {
  AuthorizedAccountId: string | undefined;
  AuthorizedAwsRegion: string | undefined;
  Tags?: Tag[] | undefined;
}
export interface PutAggregationAuthorizationResponse {
  AggregationAuthorization?: AggregationAuthorization | undefined;
}
export interface PutConfigRuleRequest {
  ConfigRule: ConfigRule | undefined;
  Tags?: Tag[] | undefined;
}
export interface PutConfigurationAggregatorRequest {
  ConfigurationAggregatorName: string | undefined;
  AccountAggregationSources?: AccountAggregationSource[] | undefined;
  OrganizationAggregationSource?: OrganizationAggregationSource | undefined;
  Tags?: Tag[] | undefined;
  AggregatorFilters?: AggregatorFilters | undefined;
}
export interface PutConfigurationAggregatorResponse {
  ConfigurationAggregator?: ConfigurationAggregator | undefined;
}
export interface PutConfigurationRecorderRequest {
  ConfigurationRecorder: ConfigurationRecorder | undefined;
  Tags?: Tag[] | undefined;
}
export interface PutConformancePackRequest {
  ConformancePackName: string | undefined;
  TemplateS3Uri?: string | undefined;
  TemplateBody?: string | undefined;
  DeliveryS3Bucket?: string | undefined;
  DeliveryS3KeyPrefix?: string | undefined;
  ConformancePackInputParameters?: ConformancePackInputParameter[] | undefined;
  TemplateSSMDocumentDetails?: TemplateSSMDocumentDetails | undefined;
}
export interface PutConformancePackResponse {
  ConformancePackArn?: string | undefined;
}
export interface PutDeliveryChannelRequest {
  DeliveryChannel: DeliveryChannel | undefined;
}
export interface PutEvaluationsRequest {
  Evaluations?: Evaluation[] | undefined;
  ResultToken: string | undefined;
  TestMode?: boolean | undefined;
}
export interface PutEvaluationsResponse {
  FailedEvaluations?: Evaluation[] | undefined;
}
export interface PutExternalEvaluationRequest {
  ConfigRuleName: string | undefined;
  ExternalEvaluation: ExternalEvaluation | undefined;
}
export interface PutExternalEvaluationResponse {}
export interface PutOrganizationConfigRuleRequest {
  OrganizationConfigRuleName: string | undefined;
  OrganizationManagedRuleMetadata?: OrganizationManagedRuleMetadata | undefined;
  OrganizationCustomRuleMetadata?: OrganizationCustomRuleMetadata | undefined;
  ExcludedAccounts?: string[] | undefined;
  OrganizationCustomPolicyRuleMetadata?:
    | OrganizationCustomPolicyRuleMetadata
    | undefined;
}
export interface PutOrganizationConfigRuleResponse {
  OrganizationConfigRuleArn?: string | undefined;
}
export interface PutOrganizationConformancePackRequest {
  OrganizationConformancePackName: string | undefined;
  TemplateS3Uri?: string | undefined;
  TemplateBody?: string | undefined;
  DeliveryS3Bucket?: string | undefined;
  DeliveryS3KeyPrefix?: string | undefined;
  ConformancePackInputParameters?: ConformancePackInputParameter[] | undefined;
  ExcludedAccounts?: string[] | undefined;
}
export interface PutOrganizationConformancePackResponse {
  OrganizationConformancePackArn?: string | undefined;
}
export interface PutRemediationConfigurationsRequest {
  RemediationConfigurations: RemediationConfiguration[] | undefined;
}
export interface PutRemediationConfigurationsResponse {
  FailedBatches?: FailedRemediationBatch[] | undefined;
}
export interface PutRemediationExceptionsRequest {
  ConfigRuleName: string | undefined;
  ResourceKeys: RemediationExceptionResourceKey[] | undefined;
  Message?: string | undefined;
  ExpirationTime?: Date | undefined;
}
export interface PutRemediationExceptionsResponse {
  FailedBatches?: FailedRemediationExceptionBatch[] | undefined;
}
export interface PutResourceConfigRequest {
  ResourceType: string | undefined;
  SchemaVersionId: string | undefined;
  ResourceId: string | undefined;
  ResourceName?: string | undefined;
  Configuration: string | undefined;
  Tags?: Record<string, string> | undefined;
}
export interface PutRetentionConfigurationRequest {
  RetentionPeriodInDays: number | undefined;
}
export interface PutRetentionConfigurationResponse {
  RetentionConfiguration?: RetentionConfiguration | undefined;
}
export interface PutServiceLinkedConfigurationRecorderRequest {
  ServicePrincipal: string | undefined;
  Tags?: Tag[] | undefined;
}
export interface PutServiceLinkedConfigurationRecorderResponse {
  Arn?: string | undefined;
  Name?: string | undefined;
}
export interface PutStoredQueryRequest {
  StoredQuery: StoredQuery | undefined;
  Tags?: Tag[] | undefined;
}
export interface PutStoredQueryResponse {
  QueryArn?: string | undefined;
}
export declare class ResourceConcurrentModificationException extends __BaseException {
  readonly name: "ResourceConcurrentModificationException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<
      ResourceConcurrentModificationException,
      __BaseException
    >
  );
}
export declare class TooManyTagsException extends __BaseException {
  readonly name: "TooManyTagsException";
  readonly $fault: "client";
  constructor(
    opts: __ExceptionOptionType<TooManyTagsException, __BaseException>
  );
}
export interface QueryInfo {
  SelectFields?: FieldInfo[] | undefined;
}
export interface SelectAggregateResourceConfigRequest {
  Expression: string | undefined;
  ConfigurationAggregatorName: string | undefined;
  Limit?: number | undefined;
  MaxResults?: number | undefined;
  NextToken?: string | undefined;
}
export interface SelectAggregateResourceConfigResponse {
  Results?: string[] | undefined;
  QueryInfo?: QueryInfo | undefined;
  NextToken?: string | undefined;
}
export interface SelectResourceConfigRequest {
  Expression: string | undefined;
  Limit?: number | undefined;
  NextToken?: string | undefined;
}
export interface SelectResourceConfigResponse {
  Results?: string[] | undefined;
  QueryInfo?: QueryInfo | undefined;
  NextToken?: string | undefined;
}
export interface StartConfigRulesEvaluationRequest {
  ConfigRuleNames?: string[] | undefined;
}
export interface StartConfigRulesEvaluationResponse {}
export interface StartConfigurationRecorderRequest {
  ConfigurationRecorderName: string | undefined;
}
export interface StartRemediationExecutionRequest {
  ConfigRuleName: string | undefined;
  ResourceKeys: ResourceKey[] | undefined;
}
export interface StartRemediationExecutionResponse {
  FailureMessage?: string | undefined;
  FailedItems?: ResourceKey[] | undefined;
}
export interface StartResourceEvaluationRequest {
  ResourceDetails: ResourceDetails | undefined;
  EvaluationContext?: EvaluationContext | undefined;
  EvaluationMode: EvaluationMode | undefined;
  EvaluationTimeout?: number | undefined;
  ClientToken?: string | undefined;
}
export interface StartResourceEvaluationResponse {
  ResourceEvaluationId?: string | undefined;
}
export interface StopConfigurationRecorderRequest {
  ConfigurationRecorderName: string | undefined;
}
export interface TagResourceRequest {
  ResourceArn: string | undefined;
  Tags: Tag[] | undefined;
}
export interface UntagResourceRequest {
  ResourceArn: string | undefined;
  TagKeys: string[] | undefined;
}
