import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  AssociateResourceTypesCommandInput,
  AssociateResourceTypesCommandOutput,
} from "../commands/AssociateResourceTypesCommand";
import {
  BatchGetAggregateResourceConfigCommandInput,
  BatchGetAggregateResourceConfigCommandOutput,
} from "../commands/BatchGetAggregateResourceConfigCommand";
import {
  BatchGetResourceConfigCommandInput,
  BatchGetResourceConfigCommandOutput,
} from "../commands/BatchGetResourceConfigCommand";
import {
  DeleteAggregationAuthorizationCommandInput,
  DeleteAggregationAuthorizationCommandOutput,
} from "../commands/DeleteAggregationAuthorizationCommand";
import {
  DeleteConfigRuleCommandInput,
  DeleteConfigRuleCommandOutput,
} from "../commands/DeleteConfigRuleCommand";
import {
  DeleteConfigurationAggregatorCommandInput,
  DeleteConfigurationAggregatorCommandOutput,
} from "../commands/DeleteConfigurationAggregatorCommand";
import {
  DeleteConfigurationRecorderCommandInput,
  DeleteConfigurationRecorderCommandOutput,
} from "../commands/DeleteConfigurationRecorderCommand";
import {
  DeleteConformancePackCommandInput,
  DeleteConformancePackCommandOutput,
} from "../commands/DeleteConformancePackCommand";
import {
  DeleteDeliveryChannelCommandInput,
  DeleteDeliveryChannelCommandOutput,
} from "../commands/DeleteDeliveryChannelCommand";
import {
  DeleteEvaluationResultsCommandInput,
  DeleteEvaluationResultsCommandOutput,
} from "../commands/DeleteEvaluationResultsCommand";
import {
  DeleteOrganizationConfigRuleCommandInput,
  DeleteOrganizationConfigRuleCommandOutput,
} from "../commands/DeleteOrganizationConfigRuleCommand";
import {
  DeleteOrganizationConformancePackCommandInput,
  DeleteOrganizationConformancePackCommandOutput,
} from "../commands/DeleteOrganizationConformancePackCommand";
import {
  DeletePendingAggregationRequestCommandInput,
  DeletePendingAggregationRequestCommandOutput,
} from "../commands/DeletePendingAggregationRequestCommand";
import {
  DeleteRemediationConfigurationCommandInput,
  DeleteRemediationConfigurationCommandOutput,
} from "../commands/DeleteRemediationConfigurationCommand";
import {
  DeleteRemediationExceptionsCommandInput,
  DeleteRemediationExceptionsCommandOutput,
} from "../commands/DeleteRemediationExceptionsCommand";
import {
  DeleteResourceConfigCommandInput,
  DeleteResourceConfigCommandOutput,
} from "../commands/DeleteResourceConfigCommand";
import {
  DeleteRetentionConfigurationCommandInput,
  DeleteRetentionConfigurationCommandOutput,
} from "../commands/DeleteRetentionConfigurationCommand";
import {
  DeleteServiceLinkedConfigurationRecorderCommandInput,
  DeleteServiceLinkedConfigurationRecorderCommandOutput,
} from "../commands/DeleteServiceLinkedConfigurationRecorderCommand";
import {
  DeleteStoredQueryCommandInput,
  DeleteStoredQueryCommandOutput,
} from "../commands/DeleteStoredQueryCommand";
import {
  DeliverConfigSnapshotCommandInput,
  DeliverConfigSnapshotCommandOutput,
} from "../commands/DeliverConfigSnapshotCommand";
import {
  DescribeAggregateComplianceByConfigRulesCommandInput,
  DescribeAggregateComplianceByConfigRulesCommandOutput,
} from "../commands/DescribeAggregateComplianceByConfigRulesCommand";
import {
  DescribeAggregateComplianceByConformancePacksCommandInput,
  DescribeAggregateComplianceByConformancePacksCommandOutput,
} from "../commands/DescribeAggregateComplianceByConformancePacksCommand";
import {
  DescribeAggregationAuthorizationsCommandInput,
  DescribeAggregationAuthorizationsCommandOutput,
} from "../commands/DescribeAggregationAuthorizationsCommand";
import {
  DescribeComplianceByConfigRuleCommandInput,
  DescribeComplianceByConfigRuleCommandOutput,
} from "../commands/DescribeComplianceByConfigRuleCommand";
import {
  DescribeComplianceByResourceCommandInput,
  DescribeComplianceByResourceCommandOutput,
} from "../commands/DescribeComplianceByResourceCommand";
import {
  DescribeConfigRuleEvaluationStatusCommandInput,
  DescribeConfigRuleEvaluationStatusCommandOutput,
} from "../commands/DescribeConfigRuleEvaluationStatusCommand";
import {
  DescribeConfigRulesCommandInput,
  DescribeConfigRulesCommandOutput,
} from "../commands/DescribeConfigRulesCommand";
import {
  DescribeConfigurationAggregatorsCommandInput,
  DescribeConfigurationAggregatorsCommandOutput,
} from "../commands/DescribeConfigurationAggregatorsCommand";
import {
  DescribeConfigurationAggregatorSourcesStatusCommandInput,
  DescribeConfigurationAggregatorSourcesStatusCommandOutput,
} from "../commands/DescribeConfigurationAggregatorSourcesStatusCommand";
import {
  DescribeConfigurationRecordersCommandInput,
  DescribeConfigurationRecordersCommandOutput,
} from "../commands/DescribeConfigurationRecordersCommand";
import {
  DescribeConfigurationRecorderStatusCommandInput,
  DescribeConfigurationRecorderStatusCommandOutput,
} from "../commands/DescribeConfigurationRecorderStatusCommand";
import {
  DescribeConformancePackComplianceCommandInput,
  DescribeConformancePackComplianceCommandOutput,
} from "../commands/DescribeConformancePackComplianceCommand";
import {
  DescribeConformancePacksCommandInput,
  DescribeConformancePacksCommandOutput,
} from "../commands/DescribeConformancePacksCommand";
import {
  DescribeConformancePackStatusCommandInput,
  DescribeConformancePackStatusCommandOutput,
} from "../commands/DescribeConformancePackStatusCommand";
import {
  DescribeDeliveryChannelsCommandInput,
  DescribeDeliveryChannelsCommandOutput,
} from "../commands/DescribeDeliveryChannelsCommand";
import {
  DescribeDeliveryChannelStatusCommandInput,
  DescribeDeliveryChannelStatusCommandOutput,
} from "../commands/DescribeDeliveryChannelStatusCommand";
import {
  DescribeOrganizationConfigRulesCommandInput,
  DescribeOrganizationConfigRulesCommandOutput,
} from "../commands/DescribeOrganizationConfigRulesCommand";
import {
  DescribeOrganizationConfigRuleStatusesCommandInput,
  DescribeOrganizationConfigRuleStatusesCommandOutput,
} from "../commands/DescribeOrganizationConfigRuleStatusesCommand";
import {
  DescribeOrganizationConformancePacksCommandInput,
  DescribeOrganizationConformancePacksCommandOutput,
} from "../commands/DescribeOrganizationConformancePacksCommand";
import {
  DescribeOrganizationConformancePackStatusesCommandInput,
  DescribeOrganizationConformancePackStatusesCommandOutput,
} from "../commands/DescribeOrganizationConformancePackStatusesCommand";
import {
  DescribePendingAggregationRequestsCommandInput,
  DescribePendingAggregationRequestsCommandOutput,
} from "../commands/DescribePendingAggregationRequestsCommand";
import {
  DescribeRemediationConfigurationsCommandInput,
  DescribeRemediationConfigurationsCommandOutput,
} from "../commands/DescribeRemediationConfigurationsCommand";
import {
  DescribeRemediationExceptionsCommandInput,
  DescribeRemediationExceptionsCommandOutput,
} from "../commands/DescribeRemediationExceptionsCommand";
import {
  DescribeRemediationExecutionStatusCommandInput,
  DescribeRemediationExecutionStatusCommandOutput,
} from "../commands/DescribeRemediationExecutionStatusCommand";
import {
  DescribeRetentionConfigurationsCommandInput,
  DescribeRetentionConfigurationsCommandOutput,
} from "../commands/DescribeRetentionConfigurationsCommand";
import {
  DisassociateResourceTypesCommandInput,
  DisassociateResourceTypesCommandOutput,
} from "../commands/DisassociateResourceTypesCommand";
import {
  GetAggregateComplianceDetailsByConfigRuleCommandInput,
  GetAggregateComplianceDetailsByConfigRuleCommandOutput,
} from "../commands/GetAggregateComplianceDetailsByConfigRuleCommand";
import {
  GetAggregateConfigRuleComplianceSummaryCommandInput,
  GetAggregateConfigRuleComplianceSummaryCommandOutput,
} from "../commands/GetAggregateConfigRuleComplianceSummaryCommand";
import {
  GetAggregateConformancePackComplianceSummaryCommandInput,
  GetAggregateConformancePackComplianceSummaryCommandOutput,
} from "../commands/GetAggregateConformancePackComplianceSummaryCommand";
import {
  GetAggregateDiscoveredResourceCountsCommandInput,
  GetAggregateDiscoveredResourceCountsCommandOutput,
} from "../commands/GetAggregateDiscoveredResourceCountsCommand";
import {
  GetAggregateResourceConfigCommandInput,
  GetAggregateResourceConfigCommandOutput,
} from "../commands/GetAggregateResourceConfigCommand";
import {
  GetComplianceDetailsByConfigRuleCommandInput,
  GetComplianceDetailsByConfigRuleCommandOutput,
} from "../commands/GetComplianceDetailsByConfigRuleCommand";
import {
  GetComplianceDetailsByResourceCommandInput,
  GetComplianceDetailsByResourceCommandOutput,
} from "../commands/GetComplianceDetailsByResourceCommand";
import {
  GetComplianceSummaryByConfigRuleCommandInput,
  GetComplianceSummaryByConfigRuleCommandOutput,
} from "../commands/GetComplianceSummaryByConfigRuleCommand";
import {
  GetComplianceSummaryByResourceTypeCommandInput,
  GetComplianceSummaryByResourceTypeCommandOutput,
} from "../commands/GetComplianceSummaryByResourceTypeCommand";
import {
  GetConformancePackComplianceDetailsCommandInput,
  GetConformancePackComplianceDetailsCommandOutput,
} from "../commands/GetConformancePackComplianceDetailsCommand";
import {
  GetConformancePackComplianceSummaryCommandInput,
  GetConformancePackComplianceSummaryCommandOutput,
} from "../commands/GetConformancePackComplianceSummaryCommand";
import {
  GetCustomRulePolicyCommandInput,
  GetCustomRulePolicyCommandOutput,
} from "../commands/GetCustomRulePolicyCommand";
import {
  GetDiscoveredResourceCountsCommandInput,
  GetDiscoveredResourceCountsCommandOutput,
} from "../commands/GetDiscoveredResourceCountsCommand";
import {
  GetOrganizationConfigRuleDetailedStatusCommandInput,
  GetOrganizationConfigRuleDetailedStatusCommandOutput,
} from "../commands/GetOrganizationConfigRuleDetailedStatusCommand";
import {
  GetOrganizationConformancePackDetailedStatusCommandInput,
  GetOrganizationConformancePackDetailedStatusCommandOutput,
} from "../commands/GetOrganizationConformancePackDetailedStatusCommand";
import {
  GetOrganizationCustomRulePolicyCommandInput,
  GetOrganizationCustomRulePolicyCommandOutput,
} from "../commands/GetOrganizationCustomRulePolicyCommand";
import {
  GetResourceConfigHistoryCommandInput,
  GetResourceConfigHistoryCommandOutput,
} from "../commands/GetResourceConfigHistoryCommand";
import {
  GetResourceEvaluationSummaryCommandInput,
  GetResourceEvaluationSummaryCommandOutput,
} from "../commands/GetResourceEvaluationSummaryCommand";
import {
  GetStoredQueryCommandInput,
  GetStoredQueryCommandOutput,
} from "../commands/GetStoredQueryCommand";
import {
  ListAggregateDiscoveredResourcesCommandInput,
  ListAggregateDiscoveredResourcesCommandOutput,
} from "../commands/ListAggregateDiscoveredResourcesCommand";
import {
  ListConfigurationRecordersCommandInput,
  ListConfigurationRecordersCommandOutput,
} from "../commands/ListConfigurationRecordersCommand";
import {
  ListConformancePackComplianceScoresCommandInput,
  ListConformancePackComplianceScoresCommandOutput,
} from "../commands/ListConformancePackComplianceScoresCommand";
import {
  ListDiscoveredResourcesCommandInput,
  ListDiscoveredResourcesCommandOutput,
} from "../commands/ListDiscoveredResourcesCommand";
import {
  ListResourceEvaluationsCommandInput,
  ListResourceEvaluationsCommandOutput,
} from "../commands/ListResourceEvaluationsCommand";
import {
  ListStoredQueriesCommandInput,
  ListStoredQueriesCommandOutput,
} from "../commands/ListStoredQueriesCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  PutAggregationAuthorizationCommandInput,
  PutAggregationAuthorizationCommandOutput,
} from "../commands/PutAggregationAuthorizationCommand";
import {
  PutConfigRuleCommandInput,
  PutConfigRuleCommandOutput,
} from "../commands/PutConfigRuleCommand";
import {
  PutConfigurationAggregatorCommandInput,
  PutConfigurationAggregatorCommandOutput,
} from "../commands/PutConfigurationAggregatorCommand";
import {
  PutConfigurationRecorderCommandInput,
  PutConfigurationRecorderCommandOutput,
} from "../commands/PutConfigurationRecorderCommand";
import {
  PutConformancePackCommandInput,
  PutConformancePackCommandOutput,
} from "../commands/PutConformancePackCommand";
import {
  PutDeliveryChannelCommandInput,
  PutDeliveryChannelCommandOutput,
} from "../commands/PutDeliveryChannelCommand";
import {
  PutEvaluationsCommandInput,
  PutEvaluationsCommandOutput,
} from "../commands/PutEvaluationsCommand";
import {
  PutExternalEvaluationCommandInput,
  PutExternalEvaluationCommandOutput,
} from "../commands/PutExternalEvaluationCommand";
import {
  PutOrganizationConfigRuleCommandInput,
  PutOrganizationConfigRuleCommandOutput,
} from "../commands/PutOrganizationConfigRuleCommand";
import {
  PutOrganizationConformancePackCommandInput,
  PutOrganizationConformancePackCommandOutput,
} from "../commands/PutOrganizationConformancePackCommand";
import {
  PutRemediationConfigurationsCommandInput,
  PutRemediationConfigurationsCommandOutput,
} from "../commands/PutRemediationConfigurationsCommand";
import {
  PutRemediationExceptionsCommandInput,
  PutRemediationExceptionsCommandOutput,
} from "../commands/PutRemediationExceptionsCommand";
import {
  PutResourceConfigCommandInput,
  PutResourceConfigCommandOutput,
} from "../commands/PutResourceConfigCommand";
import {
  PutRetentionConfigurationCommandInput,
  PutRetentionConfigurationCommandOutput,
} from "../commands/PutRetentionConfigurationCommand";
import {
  PutServiceLinkedConfigurationRecorderCommandInput,
  PutServiceLinkedConfigurationRecorderCommandOutput,
} from "../commands/PutServiceLinkedConfigurationRecorderCommand";
import {
  PutStoredQueryCommandInput,
  PutStoredQueryCommandOutput,
} from "../commands/PutStoredQueryCommand";
import {
  SelectAggregateResourceConfigCommandInput,
  SelectAggregateResourceConfigCommandOutput,
} from "../commands/SelectAggregateResourceConfigCommand";
import {
  SelectResourceConfigCommandInput,
  SelectResourceConfigCommandOutput,
} from "../commands/SelectResourceConfigCommand";
import {
  StartConfigRulesEvaluationCommandInput,
  StartConfigRulesEvaluationCommandOutput,
} from "../commands/StartConfigRulesEvaluationCommand";
import {
  StartConfigurationRecorderCommandInput,
  StartConfigurationRecorderCommandOutput,
} from "../commands/StartConfigurationRecorderCommand";
import {
  StartRemediationExecutionCommandInput,
  StartRemediationExecutionCommandOutput,
} from "../commands/StartRemediationExecutionCommand";
import {
  StartResourceEvaluationCommandInput,
  StartResourceEvaluationCommandOutput,
} from "../commands/StartResourceEvaluationCommand";
import {
  StopConfigurationRecorderCommandInput,
  StopConfigurationRecorderCommandOutput,
} from "../commands/StopConfigurationRecorderCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "../commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "../commands/UntagResourceCommand";
export declare const se_AssociateResourceTypesCommand: (
  input: AssociateResourceTypesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchGetAggregateResourceConfigCommand: (
  input: BatchGetAggregateResourceConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchGetResourceConfigCommand: (
  input: BatchGetResourceConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteAggregationAuthorizationCommand: (
  input: DeleteAggregationAuthorizationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteConfigRuleCommand: (
  input: DeleteConfigRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteConfigurationAggregatorCommand: (
  input: DeleteConfigurationAggregatorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteConfigurationRecorderCommand: (
  input: DeleteConfigurationRecorderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteConformancePackCommand: (
  input: DeleteConformancePackCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteDeliveryChannelCommand: (
  input: DeleteDeliveryChannelCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteEvaluationResultsCommand: (
  input: DeleteEvaluationResultsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteOrganizationConfigRuleCommand: (
  input: DeleteOrganizationConfigRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteOrganizationConformancePackCommand: (
  input: DeleteOrganizationConformancePackCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeletePendingAggregationRequestCommand: (
  input: DeletePendingAggregationRequestCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteRemediationConfigurationCommand: (
  input: DeleteRemediationConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteRemediationExceptionsCommand: (
  input: DeleteRemediationExceptionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteResourceConfigCommand: (
  input: DeleteResourceConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteRetentionConfigurationCommand: (
  input: DeleteRetentionConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteServiceLinkedConfigurationRecorderCommand: (
  input: DeleteServiceLinkedConfigurationRecorderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteStoredQueryCommand: (
  input: DeleteStoredQueryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeliverConfigSnapshotCommand: (
  input: DeliverConfigSnapshotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAggregateComplianceByConfigRulesCommand: (
  input: DescribeAggregateComplianceByConfigRulesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAggregateComplianceByConformancePacksCommand: (
  input: DescribeAggregateComplianceByConformancePacksCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAggregationAuthorizationsCommand: (
  input: DescribeAggregationAuthorizationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeComplianceByConfigRuleCommand: (
  input: DescribeComplianceByConfigRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeComplianceByResourceCommand: (
  input: DescribeComplianceByResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeConfigRuleEvaluationStatusCommand: (
  input: DescribeConfigRuleEvaluationStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeConfigRulesCommand: (
  input: DescribeConfigRulesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeConfigurationAggregatorsCommand: (
  input: DescribeConfigurationAggregatorsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeConfigurationAggregatorSourcesStatusCommand: (
  input: DescribeConfigurationAggregatorSourcesStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeConfigurationRecordersCommand: (
  input: DescribeConfigurationRecordersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeConfigurationRecorderStatusCommand: (
  input: DescribeConfigurationRecorderStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeConformancePackComplianceCommand: (
  input: DescribeConformancePackComplianceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeConformancePacksCommand: (
  input: DescribeConformancePacksCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeConformancePackStatusCommand: (
  input: DescribeConformancePackStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeDeliveryChannelsCommand: (
  input: DescribeDeliveryChannelsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeDeliveryChannelStatusCommand: (
  input: DescribeDeliveryChannelStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeOrganizationConfigRulesCommand: (
  input: DescribeOrganizationConfigRulesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeOrganizationConfigRuleStatusesCommand: (
  input: DescribeOrganizationConfigRuleStatusesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeOrganizationConformancePacksCommand: (
  input: DescribeOrganizationConformancePacksCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeOrganizationConformancePackStatusesCommand: (
  input: DescribeOrganizationConformancePackStatusesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribePendingAggregationRequestsCommand: (
  input: DescribePendingAggregationRequestsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeRemediationConfigurationsCommand: (
  input: DescribeRemediationConfigurationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeRemediationExceptionsCommand: (
  input: DescribeRemediationExceptionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeRemediationExecutionStatusCommand: (
  input: DescribeRemediationExecutionStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeRetentionConfigurationsCommand: (
  input: DescribeRetentionConfigurationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociateResourceTypesCommand: (
  input: DisassociateResourceTypesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetAggregateComplianceDetailsByConfigRuleCommand: (
  input: GetAggregateComplianceDetailsByConfigRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetAggregateConfigRuleComplianceSummaryCommand: (
  input: GetAggregateConfigRuleComplianceSummaryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetAggregateConformancePackComplianceSummaryCommand: (
  input: GetAggregateConformancePackComplianceSummaryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetAggregateDiscoveredResourceCountsCommand: (
  input: GetAggregateDiscoveredResourceCountsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetAggregateResourceConfigCommand: (
  input: GetAggregateResourceConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetComplianceDetailsByConfigRuleCommand: (
  input: GetComplianceDetailsByConfigRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetComplianceDetailsByResourceCommand: (
  input: GetComplianceDetailsByResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetComplianceSummaryByConfigRuleCommand: (
  input: GetComplianceSummaryByConfigRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetComplianceSummaryByResourceTypeCommand: (
  input: GetComplianceSummaryByResourceTypeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetConformancePackComplianceDetailsCommand: (
  input: GetConformancePackComplianceDetailsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetConformancePackComplianceSummaryCommand: (
  input: GetConformancePackComplianceSummaryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetCustomRulePolicyCommand: (
  input: GetCustomRulePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetDiscoveredResourceCountsCommand: (
  input: GetDiscoveredResourceCountsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetOrganizationConfigRuleDetailedStatusCommand: (
  input: GetOrganizationConfigRuleDetailedStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetOrganizationConformancePackDetailedStatusCommand: (
  input: GetOrganizationConformancePackDetailedStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetOrganizationCustomRulePolicyCommand: (
  input: GetOrganizationCustomRulePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetResourceConfigHistoryCommand: (
  input: GetResourceConfigHistoryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetResourceEvaluationSummaryCommand: (
  input: GetResourceEvaluationSummaryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetStoredQueryCommand: (
  input: GetStoredQueryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAggregateDiscoveredResourcesCommand: (
  input: ListAggregateDiscoveredResourcesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListConfigurationRecordersCommand: (
  input: ListConfigurationRecordersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListConformancePackComplianceScoresCommand: (
  input: ListConformancePackComplianceScoresCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDiscoveredResourcesCommand: (
  input: ListDiscoveredResourcesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListResourceEvaluationsCommand: (
  input: ListResourceEvaluationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListStoredQueriesCommand: (
  input: ListStoredQueriesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutAggregationAuthorizationCommand: (
  input: PutAggregationAuthorizationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutConfigRuleCommand: (
  input: PutConfigRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutConfigurationAggregatorCommand: (
  input: PutConfigurationAggregatorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutConfigurationRecorderCommand: (
  input: PutConfigurationRecorderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutConformancePackCommand: (
  input: PutConformancePackCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutDeliveryChannelCommand: (
  input: PutDeliveryChannelCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutEvaluationsCommand: (
  input: PutEvaluationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutExternalEvaluationCommand: (
  input: PutExternalEvaluationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutOrganizationConfigRuleCommand: (
  input: PutOrganizationConfigRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutOrganizationConformancePackCommand: (
  input: PutOrganizationConformancePackCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutRemediationConfigurationsCommand: (
  input: PutRemediationConfigurationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutRemediationExceptionsCommand: (
  input: PutRemediationExceptionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutResourceConfigCommand: (
  input: PutResourceConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutRetentionConfigurationCommand: (
  input: PutRetentionConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutServiceLinkedConfigurationRecorderCommand: (
  input: PutServiceLinkedConfigurationRecorderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutStoredQueryCommand: (
  input: PutStoredQueryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SelectAggregateResourceConfigCommand: (
  input: SelectAggregateResourceConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SelectResourceConfigCommand: (
  input: SelectResourceConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartConfigRulesEvaluationCommand: (
  input: StartConfigRulesEvaluationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartConfigurationRecorderCommand: (
  input: StartConfigurationRecorderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartRemediationExecutionCommand: (
  input: StartRemediationExecutionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartResourceEvaluationCommand: (
  input: StartResourceEvaluationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StopConfigurationRecorderCommand: (
  input: StopConfigurationRecorderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TagResourceCommand: (
  input: TagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UntagResourceCommand: (
  input: UntagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_AssociateResourceTypesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateResourceTypesCommandOutput>;
export declare const de_BatchGetAggregateResourceConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchGetAggregateResourceConfigCommandOutput>;
export declare const de_BatchGetResourceConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchGetResourceConfigCommandOutput>;
export declare const de_DeleteAggregationAuthorizationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAggregationAuthorizationCommandOutput>;
export declare const de_DeleteConfigRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteConfigRuleCommandOutput>;
export declare const de_DeleteConfigurationAggregatorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteConfigurationAggregatorCommandOutput>;
export declare const de_DeleteConfigurationRecorderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteConfigurationRecorderCommandOutput>;
export declare const de_DeleteConformancePackCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteConformancePackCommandOutput>;
export declare const de_DeleteDeliveryChannelCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDeliveryChannelCommandOutput>;
export declare const de_DeleteEvaluationResultsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteEvaluationResultsCommandOutput>;
export declare const de_DeleteOrganizationConfigRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteOrganizationConfigRuleCommandOutput>;
export declare const de_DeleteOrganizationConformancePackCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteOrganizationConformancePackCommandOutput>;
export declare const de_DeletePendingAggregationRequestCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeletePendingAggregationRequestCommandOutput>;
export declare const de_DeleteRemediationConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteRemediationConfigurationCommandOutput>;
export declare const de_DeleteRemediationExceptionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteRemediationExceptionsCommandOutput>;
export declare const de_DeleteResourceConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteResourceConfigCommandOutput>;
export declare const de_DeleteRetentionConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteRetentionConfigurationCommandOutput>;
export declare const de_DeleteServiceLinkedConfigurationRecorderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteServiceLinkedConfigurationRecorderCommandOutput>;
export declare const de_DeleteStoredQueryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteStoredQueryCommandOutput>;
export declare const de_DeliverConfigSnapshotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeliverConfigSnapshotCommandOutput>;
export declare const de_DescribeAggregateComplianceByConfigRulesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAggregateComplianceByConfigRulesCommandOutput>;
export declare const de_DescribeAggregateComplianceByConformancePacksCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAggregateComplianceByConformancePacksCommandOutput>;
export declare const de_DescribeAggregationAuthorizationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAggregationAuthorizationsCommandOutput>;
export declare const de_DescribeComplianceByConfigRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeComplianceByConfigRuleCommandOutput>;
export declare const de_DescribeComplianceByResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeComplianceByResourceCommandOutput>;
export declare const de_DescribeConfigRuleEvaluationStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeConfigRuleEvaluationStatusCommandOutput>;
export declare const de_DescribeConfigRulesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeConfigRulesCommandOutput>;
export declare const de_DescribeConfigurationAggregatorsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeConfigurationAggregatorsCommandOutput>;
export declare const de_DescribeConfigurationAggregatorSourcesStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeConfigurationAggregatorSourcesStatusCommandOutput>;
export declare const de_DescribeConfigurationRecordersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeConfigurationRecordersCommandOutput>;
export declare const de_DescribeConfigurationRecorderStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeConfigurationRecorderStatusCommandOutput>;
export declare const de_DescribeConformancePackComplianceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeConformancePackComplianceCommandOutput>;
export declare const de_DescribeConformancePacksCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeConformancePacksCommandOutput>;
export declare const de_DescribeConformancePackStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeConformancePackStatusCommandOutput>;
export declare const de_DescribeDeliveryChannelsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDeliveryChannelsCommandOutput>;
export declare const de_DescribeDeliveryChannelStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDeliveryChannelStatusCommandOutput>;
export declare const de_DescribeOrganizationConfigRulesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeOrganizationConfigRulesCommandOutput>;
export declare const de_DescribeOrganizationConfigRuleStatusesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeOrganizationConfigRuleStatusesCommandOutput>;
export declare const de_DescribeOrganizationConformancePacksCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeOrganizationConformancePacksCommandOutput>;
export declare const de_DescribeOrganizationConformancePackStatusesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeOrganizationConformancePackStatusesCommandOutput>;
export declare const de_DescribePendingAggregationRequestsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribePendingAggregationRequestsCommandOutput>;
export declare const de_DescribeRemediationConfigurationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeRemediationConfigurationsCommandOutput>;
export declare const de_DescribeRemediationExceptionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeRemediationExceptionsCommandOutput>;
export declare const de_DescribeRemediationExecutionStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeRemediationExecutionStatusCommandOutput>;
export declare const de_DescribeRetentionConfigurationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeRetentionConfigurationsCommandOutput>;
export declare const de_DisassociateResourceTypesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociateResourceTypesCommandOutput>;
export declare const de_GetAggregateComplianceDetailsByConfigRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAggregateComplianceDetailsByConfigRuleCommandOutput>;
export declare const de_GetAggregateConfigRuleComplianceSummaryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAggregateConfigRuleComplianceSummaryCommandOutput>;
export declare const de_GetAggregateConformancePackComplianceSummaryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAggregateConformancePackComplianceSummaryCommandOutput>;
export declare const de_GetAggregateDiscoveredResourceCountsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAggregateDiscoveredResourceCountsCommandOutput>;
export declare const de_GetAggregateResourceConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAggregateResourceConfigCommandOutput>;
export declare const de_GetComplianceDetailsByConfigRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetComplianceDetailsByConfigRuleCommandOutput>;
export declare const de_GetComplianceDetailsByResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetComplianceDetailsByResourceCommandOutput>;
export declare const de_GetComplianceSummaryByConfigRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetComplianceSummaryByConfigRuleCommandOutput>;
export declare const de_GetComplianceSummaryByResourceTypeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetComplianceSummaryByResourceTypeCommandOutput>;
export declare const de_GetConformancePackComplianceDetailsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetConformancePackComplianceDetailsCommandOutput>;
export declare const de_GetConformancePackComplianceSummaryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetConformancePackComplianceSummaryCommandOutput>;
export declare const de_GetCustomRulePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetCustomRulePolicyCommandOutput>;
export declare const de_GetDiscoveredResourceCountsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetDiscoveredResourceCountsCommandOutput>;
export declare const de_GetOrganizationConfigRuleDetailedStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetOrganizationConfigRuleDetailedStatusCommandOutput>;
export declare const de_GetOrganizationConformancePackDetailedStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetOrganizationConformancePackDetailedStatusCommandOutput>;
export declare const de_GetOrganizationCustomRulePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetOrganizationCustomRulePolicyCommandOutput>;
export declare const de_GetResourceConfigHistoryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetResourceConfigHistoryCommandOutput>;
export declare const de_GetResourceEvaluationSummaryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetResourceEvaluationSummaryCommandOutput>;
export declare const de_GetStoredQueryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetStoredQueryCommandOutput>;
export declare const de_ListAggregateDiscoveredResourcesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAggregateDiscoveredResourcesCommandOutput>;
export declare const de_ListConfigurationRecordersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListConfigurationRecordersCommandOutput>;
export declare const de_ListConformancePackComplianceScoresCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListConformancePackComplianceScoresCommandOutput>;
export declare const de_ListDiscoveredResourcesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDiscoveredResourcesCommandOutput>;
export declare const de_ListResourceEvaluationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListResourceEvaluationsCommandOutput>;
export declare const de_ListStoredQueriesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListStoredQueriesCommandOutput>;
export declare const de_ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const de_PutAggregationAuthorizationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutAggregationAuthorizationCommandOutput>;
export declare const de_PutConfigRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutConfigRuleCommandOutput>;
export declare const de_PutConfigurationAggregatorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutConfigurationAggregatorCommandOutput>;
export declare const de_PutConfigurationRecorderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutConfigurationRecorderCommandOutput>;
export declare const de_PutConformancePackCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutConformancePackCommandOutput>;
export declare const de_PutDeliveryChannelCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutDeliveryChannelCommandOutput>;
export declare const de_PutEvaluationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutEvaluationsCommandOutput>;
export declare const de_PutExternalEvaluationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutExternalEvaluationCommandOutput>;
export declare const de_PutOrganizationConfigRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutOrganizationConfigRuleCommandOutput>;
export declare const de_PutOrganizationConformancePackCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutOrganizationConformancePackCommandOutput>;
export declare const de_PutRemediationConfigurationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutRemediationConfigurationsCommandOutput>;
export declare const de_PutRemediationExceptionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutRemediationExceptionsCommandOutput>;
export declare const de_PutResourceConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutResourceConfigCommandOutput>;
export declare const de_PutRetentionConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutRetentionConfigurationCommandOutput>;
export declare const de_PutServiceLinkedConfigurationRecorderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutServiceLinkedConfigurationRecorderCommandOutput>;
export declare const de_PutStoredQueryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutStoredQueryCommandOutput>;
export declare const de_SelectAggregateResourceConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SelectAggregateResourceConfigCommandOutput>;
export declare const de_SelectResourceConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SelectResourceConfigCommandOutput>;
export declare const de_StartConfigRulesEvaluationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartConfigRulesEvaluationCommandOutput>;
export declare const de_StartConfigurationRecorderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartConfigurationRecorderCommandOutput>;
export declare const de_StartRemediationExecutionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartRemediationExecutionCommandOutput>;
export declare const de_StartResourceEvaluationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartResourceEvaluationCommandOutput>;
export declare const de_StopConfigurationRecorderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopConfigurationRecorderCommandOutput>;
export declare const de_TagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagResourceCommandOutput>;
export declare const de_UntagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagResourceCommandOutput>;
